GNU bug report logs - #57531
28.1; Character encoding missing for "eo"

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jonathan Reeve <jonathan@HIDDEN>; Keywords: moreinfo; dated Thu, 1 Sep 2022 19:34:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 13:11:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 09:11:45 2022
Received: from localhost ([127.0.0.1]:46810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVBt7-0000Bf-7M
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 09:11:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVBsz-0000At-E8
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 09:11:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43530)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVBst-0004He-1e; Mon, 05 Sep 2022 09:11:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=jKb88bXBZd3hqm6FUMH8lWmBLY++ck3eZGFrSVQJkss=; b=lMuvB+eUwFqB
 rnvpPj7k9l0HcsFpVQdtuncYvhn4UCdovdkErYXBMGHjRhJoIWzeojiuqQ8NXSbocPQKpcfGkzECn
 9amITyMBYckTdRNMPwfDHhDJybelgPkFx2eNwXgu4FPrUcnu6v5J4+IqKU1bc58NIQp1l9fmVd2ZH
 JjWZwz+C6yu2Nm+U2oDatvmLN20YBGJ3LPqbwDl4tLVehL2znD0YADT3ISvxtuqD3hBktbuqJXdfD
 yAoQMuQKBy24emM6GD4nk3FT4hNDr4ZJjR/9wGga7ikMswghdM+PaQ4ZM6jqc7bFroyU08IYPPMHc
 23GupGAmVX3xT4cMGZKs9g==;
Received: from [87.69.77.57] (port=4683 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVBss-0002YM-Bc; Mon, 05 Sep 2022 09:11:26 -0400
Date: Mon, 05 Sep 2022 16:11:05 +0300
Message-Id: <83sfl6j79y.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <0b2303e39214d25ba3d3@HIDDEN> (message from Gregory
 Heytings on Mon, 05 Sep 2022 12:59:21 +0000)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <6fb0e08e80e292e6c7a0@HIDDEN>
 <83edwqkqix.fsf@HIDDEN> <0b2303e39221dde4f40f@HIDDEN>
 <83y1uyj9el.fsf@HIDDEN> <0b2303e39214d25ba3d3@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 05 Sep 2022 12:59:21 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
> 
> >> I think expecting systems to be well-configured and to contain accurate 
> >> information about that exotic locale is a bit too optimistic.
> >
> > What would you suggest that Emacs does instead?
> 
> I don't know, because anything that it could do would be backward 
> incompatible.

The only change I could think of that is almost backward-compatible
(except for this single locale) is the one I posted, if we modify it
to also make the 'lang-info' pseudo-encoding override the locale.alias
file.

> What is clear is that, on reasonably modern systems, legacy 
> locales are not used anymore, and their use is discouraged (e.g. the 
> Debian installer does not present you with any legacy encoding, they 
> remain available but to activate them you need to edit the /etc/locale.gen 
> file manually).  So perhaps Emacs could always assume UTF-8, and use 
> another encoding only when there are good reasons to do so (e.g. when 
> opening a file with a legacy encoding).  The presence of the equivalence 
> eo / Latin-3 in locale.alias is IMO not a good enough reason.

I have no idea what this kind of change could do.  Maybe nothing,
maybe breakage across the board.  Keep in mind that the default
encoding is used for stuff other than decoding text in files Emacs
visits, and also for some important tasks during startup.

I also think our encoding detection doesn't always succeed to discern
between UTF-8 and single-byte Latin-N encodings.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 13:04:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 09:04:48 2022
Received: from localhost ([127.0.0.1]:46783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVBmO-0008Qr-6n
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 09:04:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:45078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVBmI-0008Qb-Qi
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 09:04:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43792)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVBmB-0002tV-Gz; Mon, 05 Sep 2022 09:04:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=HR8AfCgUH3qPqOKOjVhIdvb1uEGbN6ADw8I9Ww56tTU=; b=dtzsVp9RkglY
 hYPMjn5YP95tTSEV4QIHTM773nzoC9htNLAxbQ25w54RlpsdQHuTu4e1r/+Panjdv1eXygGtuJkqe
 CXkl9MthP4SIw0nJxA6GPrY4ABUI/5CITd8hYLO6aP1XMJPlVl2uOhIhwqzPHSqZZHT/0CLvW2HeK
 U6HNApxEwPgBkP7UGIqfKBKnrNW+6fI3nh1wVKEbLnlH0lHrhCE/JE6Hh05SW/bLGDWUxMseZcOWJ
 ykBcKs4xybzwGw75HWebij1Xo+e6ajTkXvEqTpTABwLYAJ0MoQsnCmC4Emyrwwv6vx3VRfLPWwHSW
 CzGJAG5C+FSyK85UKxDgfw==;
Received: from [87.69.77.57] (port=4259 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVBmA-0007aj-Tx; Mon, 05 Sep 2022 09:04:31 -0400
Date: Mon, 05 Sep 2022 16:04:09 +0300
Message-Id: <83tu5mj7li.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <0b2303e39222004d306b@HIDDEN> (message from Gregory
 Heytings on Mon, 05 Sep 2022 12:38:24 +0000)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN>
 <83v8q3li60.fsf@HIDDEN> <87wnajzj6z.fsf@HIDDEN>
 <0b2303e3924bf00b49d2@HIDDEN> <0b2303e392fb4ac7f236@HIDDEN>
 <83bkrukq1f.fsf@HIDDEN> <0b2303e392221b7deeaf@HIDDEN>
 <83zgfej9fy.fsf@HIDDEN> <0b2303e39222004d306b@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org, schwab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 05 Sep 2022 12:38:24 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: schwab@HIDDEN, jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
> 
> >> eo		eo_XX.ISO8859-3
> >> eo_XX	eo_XX.ISO8859-3
> >> eo:		eo_XX.ISO8859-3
> >> eo_XX:	eo_XX.ISO8859-3
> >
> > If this is what locale.alias says, doesn't it mean that the system wants 
> > us to use Latin-3 by default for this locale?  IOW, why does nl_langinfo 
> > return a value that is different from what this file says? Is that 
> > because locale.alias comes from X11, not from glibc?
> 
> I guess so, yes, given that glibc only knows of one encoding for the "eo" 
> locale, namely "UTF-8".

There's also /usr/share/locale/locale.alias, but on GNU/Linux system to
which I have access it doesn't have any information for the eo or
Esperanto locales.

> > In any case, unless we change the code in mule-cmds.el, as long as 
> > locale.alias says the above, what we say in language-info-alist about 
> > this locale doesn't matter.  At least that's my reading of the code in 
> > mule-cmds.el.
> 
> You are correct.  I should have tried the suggested patch before.  It has 
> no effect indeed, at least here.

You mean, the patch I proposed in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57531#64?  For that to
work, we need to make 'locale-info' pseudo-encoding override what
locale.alias file says, I presume.

> I think the conclusion is that the OP should either set his locale to 
> "eo.UTF-8", or add (prefer-coding-system 'utf-8) in his init file.

That was suggested, yes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 12:59:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 08:59:32 2022
Received: from localhost ([127.0.0.1]:46778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVBhI-0008Go-Oy
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:59:32 -0400
Received: from heytings.org ([95.142.160.155]:55886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oVBhC-0008Gc-Sj
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:59:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1662382761;
 bh=vfFOEVIvpQA1hpCMnMYOzy5T7dIdSSCefl4hXMkwfVE=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=pAbNuoW/H1E3zRqk5Bt67FX8odp6qjbbaVMKZnU1dyrjWtSATnvfu+6qCNT+SbqFa
 cBW2q2hwqGdDDR9dvWUQzsZ6TR6DBfCPPPk6xvsBEqG5VXUftpdCct5mcGLLDiSJC4
 WJuJNVrwjx5amiB3eqQE8JmKlOfCdSI+zLu2C+CBoc0WTwUbzodUV7s3agBxAj8ypC
 vLfQQKI3Ne8P2GZgVpyRNe1LKwW2OelwbltIV7XbWcFTMsC7WQWENDW2MJuLMWpCp7
 lvBkwbLQKXsUfH19fO+4lk+fvw1kObs3F5XkWBxSBzXRhWvFlohYlRvlJ9Y89DPU4P
 nISkA3/biRK8g==
Date: Mon, 05 Sep 2022 12:59:21 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
In-Reply-To: <83y1uyj9el.fsf@HIDDEN>
Message-ID: <0b2303e39214d25ba3d3@HIDDEN>
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <6fb0e08e80e292e6c7a0@HIDDEN>
 <83edwqkqix.fsf@HIDDEN> <0b2303e39221dde4f40f@HIDDEN>
 <83y1uyj9el.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> I think expecting systems to be well-configured and to contain accurate 
>> information about that exotic locale is a bit too optimistic.
>
> What would you suggest that Emacs does instead?
>

I don't know, because anything that it could do would be backward 
incompatible.  What is clear is that, on reasonably modern systems, legacy 
locales are not used anymore, and their use is discouraged (e.g. the 
Debian installer does not present you with any legacy encoding, they 
remain available but to activate them you need to edit the /etc/locale.gen 
file manually).  So perhaps Emacs could always assume UTF-8, and use 
another encoding only when there are good reasons to do so (e.g. when 
opening a file with a legacy encoding).  The presence of the equivalence 
eo / Latin-3 in locale.alias is IMO not a good enough reason.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 12:38:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 08:38:28 2022
Received: from localhost ([127.0.0.1]:46746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVBMx-0007hg-SD
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:38:28 -0400
Received: from heytings.org ([95.142.160.155]:55852)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oVBMw-0007hY-1W
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:38:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1662381505;
 bh=wZXDzEvY/6H6bQXRIhMek7FJPQEjsPGfxCxXH9xUvBE=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=Gn9W4tD+mgXNrepTadsj3worZZwvMbnxwr1SkZJQY2f4KeSh1YjgWBp05bLA3UEvu
 3jEcYANyyGZyX9Dxac3G1x0HJB3gCSmGS25Z6ENR13lQkOCLhH+sIOf0+9pj64/u4t
 Eg572pJZZr+9V+52q4TGreOPkkTgFY0aDDLyNS5ri2SyYe3yvdXIHyQ0O2zQX9UWL3
 bDXeQu+T5O/7TjDG09LY+iAizqFU5Zg87OI0Ddas7nZ7mGDn0DYKcML2jDU3mP6Yc7
 I5hhVcr3TzzzkMfCdfAdkFw59YQMA4kwVSuq4Lg+wj3HDxsE9wedEjZZdA67qtkop3
 xsmPk8Iil89KA==
Date: Mon, 05 Sep 2022 12:38:24 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
In-Reply-To: <83zgfej9fy.fsf@HIDDEN>
Message-ID: <0b2303e39222004d306b@HIDDEN>
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN>
 <83v8q3li60.fsf@HIDDEN> <87wnajzj6z.fsf@HIDDEN>
 <0b2303e3924bf00b49d2@HIDDEN> <0b2303e392fb4ac7f236@HIDDEN>
 <83bkrukq1f.fsf@HIDDEN> <0b2303e392221b7deeaf@HIDDEN>
 <83zgfej9fy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org, schwab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> eo		eo_XX.ISO8859-3
>> eo_XX	eo_XX.ISO8859-3
>> eo:		eo_XX.ISO8859-3
>> eo_XX:	eo_XX.ISO8859-3
>
> If this is what locale.alias says, doesn't it mean that the system wants 
> us to use Latin-3 by default for this locale?  IOW, why does nl_langinfo 
> return a value that is different from what this file says? Is that 
> because locale.alias comes from X11, not from glibc?
>

I guess so, yes, given that glibc only knows of one encoding for the "eo" 
locale, namely "UTF-8".

>
> In any case, unless we change the code in mule-cmds.el, as long as 
> locale.alias says the above, what we say in language-info-alist about 
> this locale doesn't matter.  At least that's my reading of the code in 
> mule-cmds.el.
>

You are correct.  I should have tried the suggested patch before.  It has 
no effect indeed, at least here.

I think the conclusion is that the OP should either set his locale to 
"eo.UTF-8", or add (prefer-coding-system 'utf-8) in his init file.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 12:25:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 08:25:43 2022
Received: from localhost ([127.0.0.1]:46716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVBAd-0007Ms-7p
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:25:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVBAc-0007Mg-76
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:25:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54708)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVBAW-0003Th-Sb; Mon, 05 Sep 2022 08:25:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=xqDhhGLQrBC5YNroygBoZ++cMoaqAosjq+OIReE/a4Q=; b=qJ6qfa0Tc6/y
 xCX/sBR7PDelflzudAZKR2JP5zrWYKF72LDCMpBOtxecR/9j2CvBElQzi/SbI9wCQkzrnaVqir1K+
 RJkiL9I7QRk0AlOOIdUH0WybNKZfwZvETTHXGKLqA7PRKgUos+zz4Mgqq6kCxScjTLoqahANFfQnj
 2hLdpB9vZOFyoyjP2p3zNqqut+eIHRzZ8YH3hLsetPHXlLEjNVKiO5hK9fJHhLgyAzkp9U6UI8dW5
 MY/PdnyhiBXGJVKVmyAlCO0ASKVtCSJqku6oveHmBD+HE9oXN7foXZ7Tu/y1nU+YqgpI7ZArKpJYv
 JHBczQR/1o7CVeVhLURAVg==;
Received: from [87.69.77.57] (port=1864 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVBAM-0005UJ-P8; Mon, 05 Sep 2022 08:25:32 -0400
Date: Mon, 05 Sep 2022 15:25:06 +0300
Message-Id: <83y1uyj9el.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <0b2303e39221dde4f40f@HIDDEN> (message from Gregory
 Heytings on Mon, 05 Sep 2022 12:07:23 +0000)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <6fb0e08e80e292e6c7a0@HIDDEN>
 <83edwqkqix.fsf@HIDDEN> <0b2303e39221dde4f40f@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 05 Sep 2022 12:07:23 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
> 
> 
> >
> > It is not clear to me yet that we need to change the current assumption, 
> > since on well-configured system the correct encoding should be stated in 
> > locale.alias, in which Emacs looks before it falls back to 
> > language-info-alist.
> >
> 
> I think expecting systems to be well-configured and to contain accurate 
> information about that exotic locale is a bit too optimistic.

What would you suggest that Emacs does instead?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 12:24:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 08:24:54 2022
Received: from localhost ([127.0.0.1]:46710 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVB9p-0007LG-Lb
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:24:54 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVB9j-0007Kw-KD
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:24:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50232)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVB9b-00039N-Dc; Mon, 05 Sep 2022 08:24:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=BkG+7pjMDt82w7ZyZtBzc/RDSne3piTz9ZqjOz765BA=; b=NLTFyr+MVVU2
 qOeQJb57sGJGMwhztOu0exGSewUuOl/F1ttQJCYIk4MVXQnpsfcMICxAZbrBywge76f3Ek/On3cYM
 TZbd5Khoyup1nBZyTHahPK31/zJk0uHSl6d8OcjK8n9xmVXa5ktLB8VCtfbrJtIcRtwfsck3DyX5L
 RCnEsh7WLzEmfPI7czA1TZbuTkx/KMU/UqdIZFME2hZIZ9cfzUnpAVDmY3+Hna0mSIkIPQU8CBOb7
 m13kl6vuplmF+yje1qJfi0N32UQDT/XvEfb75jpfPtPZ2JTMc3Iu+kp0dJ82mrM7ATyPR/SXR0oHh
 laVaNHB9KCyiYrffAqM9rA==;
Received: from [87.69.77.57] (port=1811 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVB9a-0005PQ-Mi; Mon, 05 Sep 2022 08:24:39 -0400
Date: Mon, 05 Sep 2022 15:24:17 +0300
Message-Id: <83zgfej9fy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <0b2303e392221b7deeaf@HIDDEN> (message from Gregory
 Heytings on Mon, 05 Sep 2022 12:00:12 +0000)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN>
 <83v8q3li60.fsf@HIDDEN> <87wnajzj6z.fsf@HIDDEN>
 <0b2303e3924bf00b49d2@HIDDEN> <0b2303e392fb4ac7f236@HIDDEN>
 <83bkrukq1f.fsf@HIDDEN> <0b2303e392221b7deeaf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org, schwab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 05 Sep 2022 12:00:12 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: schwab@HIDDEN, jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
> 
> > But AFAIU locale.alias should have told Emacs which encoding is 
> > appropriate for "eo".
> 
> If Emacs relies on locale.alias, Latin-3 will be chosen.  The "eo" locale 
> follows what other locales do, without ".UTF-8" the legacy encoding is 
> used.  E.g. "en_US" is Latin-1 here but "en_US.UTF-8" is UTF-8, and 
> likewise "tr_TR" is Latin-9 but "tr_TR.UTF-8" is UTF-8.

Emacs looks in locale.alias before it uses the fallback info in
language-info-alist.

> > Andreas asked the OP what does locale.alias say about that, but I saw no 
> > response yet.
> >
> > What does "grep ^eo /usr/share/X11/locale/locale.alias" say on your 
> > system?
> >
> 
> eo						eo_XX.ISO8859-3
> eo_XX						eo_XX.ISO8859-3
> eo:						eo_XX.ISO8859-3
> eo_XX:						eo_XX.ISO8859-3

If this is what locale.alias says, doesn't it mean that the system
wants us to use Latin-3 by default for this locale?  IOW, why does
nl_langinfo return a value that is different from what this file says?
Is that because locale.alias comes from X11, not from glibc?

In any case, unless we change the code in mule-cmds.el, as long as
locale.alias says the above, what we say in language-info-alist about
this locale doesn't matter.  At least that's my reading of the code in
mule-cmds.el.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 12:07:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 08:07:26 2022
Received: from localhost ([127.0.0.1]:46677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVAsw-0006tC-5k
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:07:26 -0400
Received: from heytings.org ([95.142.160.155]:55790)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oVAsu-0006t4-Uz
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:07:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1662379643;
 bh=L3qCvHoRbAlWFhJ6mAJQowfkwQS8Ffny0YZMoOuJoec=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=IUW81t+vRT/OlDLPyIQMRLJeBFflx6YgGJSpvgrU6sY+SZiFvojUFzMDz1LeR6HxR
 kFdSEy2GXRhA1o429CVacp0Ic2o4AI7s1Izi6D5gOwXlQnMADjCUE3qqxABJHAqZdy
 5w6zW+yPhgZk+n4grdg2i+pk9kx+vDKJ2ccpvIuRDBItyqOrg0G3AW05UEePchB1kj
 VeV44LTPOIcVrN74fMgbUVOF1Xq2G/GpA+hCqUedHTOOe6oTl3prgVBbMQqNJ+snP5
 6NJNhVDXMu3ZOOSBvmtKPAA6P3v7rGME86vxt9ffnxDy8l968gMrrQLZUwNqZTSFOb
 k0eEWbRyenQCQ==
Date: Mon, 05 Sep 2022 12:07:23 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
In-Reply-To: <83edwqkqix.fsf@HIDDEN>
Message-ID: <0b2303e39221dde4f40f@HIDDEN>
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <6fb0e08e80e292e6c7a0@HIDDEN> <83edwqkqix.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> It is not clear to me yet that we need to change the current assumption, 
> since on well-configured system the correct encoding should be stated in 
> locale.alias, in which Emacs looks before it falls back to 
> language-info-alist.
>

I think expecting systems to be well-configured and to contain accurate 
information about that exotic locale is a bit too optimistic.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 12:00:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 08:00:16 2022
Received: from localhost ([127.0.0.1]:46664 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVAm0-0006iN-Kb
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:00:16 -0400
Received: from heytings.org ([95.142.160.155]:55764)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oVAly-0006iA-M1
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 08:00:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1662379213;
 bh=FX+lphUDlYbL8l0BX2I9nO36shiaOZ4uaXZT2bBp7bo=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=BUgZ6d4CG5qKYAcBmRnmLwMpkOohZbgrLjOQRWt0ww//MmDqb2q6u12E1/cLPMyU3
 HnEuBwtSAgN1jL3IsZAbOO77oTsBdW69V5YF7s4U+WqGfIZ/aFdYFES662ENMKgIGU
 FYPkY/AY8fAXBQWgga1shKxuX9jaXr8GsbZdgURQRX5cev7e5ynsO/kdrABa5qSmez
 QV+YwiTuH480O2pWjVrKiOpk5n6QIEe2VwxrXVsUFjZ26kBTvvVWaPKZVnCZ4fGqHm
 pKMDhtTTJ3dgwgjLUCEPPGqvpfOAT6E5+uBH/+qrnutkNaeQBDi7YAUB3Zv3x4PEgt
 l+RTNVSDspTRQ==
Date: Mon, 05 Sep 2022 12:00:12 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
In-Reply-To: <83bkrukq1f.fsf@HIDDEN>
Message-ID: <0b2303e392221b7deeaf@HIDDEN>
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN>
 <83v8q3li60.fsf@HIDDEN> <87wnajzj6z.fsf@HIDDEN>
 <0b2303e3924bf00b49d2@HIDDEN> <0b2303e392fb4ac7f236@HIDDEN>
 <83bkrukq1f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org, schwab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> (BTW, this also means that the OP could solve his problem by using 
>> "eo.UTF-8" for his locale instead of only "eo".)
>
> That was suggested, but rejected, because the system in question (or 
> maybe any GNU/Linux system?) doesn't have such a locale.
>

That was probably a misinterpretation of the OP.  I'd bet that it would 
work, even though, as Lars observed, the exact string "eo.UTF-8" does not 
appear in /etc/locale.gen for example.

>
> But AFAIU locale.alias should have told Emacs which encoding is 
> appropriate for "eo".
>

If Emacs relies on locale.alias, Latin-3 will be chosen.  The "eo" locale 
follows what other locales do, without ".UTF-8" the legacy encoding is 
used.  E.g. "en_US" is Latin-1 here but "en_US.UTF-8" is UTF-8, and 
likewise "tr_TR" is Latin-9 but "tr_TR.UTF-8" is UTF-8.

>
> Andreas asked the OP what does locale.alias say about that, but I saw no 
> response yet.
>
> What does "grep ^eo /usr/share/X11/locale/locale.alias" say on your 
> system?
>

eo						eo_XX.ISO8859-3
eo_XX						eo_XX.ISO8859-3
eo:						eo_XX.ISO8859-3
eo_XX:						eo_XX.ISO8859-3




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 11:46:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 07:46:09 2022
Received: from localhost ([127.0.0.1]:46641 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVAYL-0006J2-HE
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 07:46:09 -0400
Received: from heytings.org ([95.142.160.155]:55740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oVAYH-0006Ik-K3
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 07:46:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1662378364;
 bh=3IV6VVpcJfWG/whvv5qGWUYctDB5GoBc6sOEAM9TMOQ=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=O3C4RAEGkdVUrl2MKIAZqVQv5sruj2crjnexCkRmj4ZUUOekxygujMFCINSb8SbZf
 kSHLaSh+0w48hyZKC4Q92dcuSwPcFqWd92zRVnysQDBd3Ihf9jtimhM4dbK9ipyNJI
 17CpsG8cgiSKgKrrvfLNXtNBZMke1f58ugyhHMQmRHwrrwwWYcIxScbwQfXPpkmQaU
 4MImBFesUaLhXFS+qSYlypkhh4gTgl9prYrMOVbSFb1TY2QxE1c82VB5kY+GMSG177
 U7yIhHyyszO+p4w5sJg9VGLsYfMk8czTDmeWr/IlF1ngLZaLctnIvJXBHFBgV802az
 +QD1oiEj/VQvQ==
Date: Mon, 05 Sep 2022 11:46:04 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
In-Reply-To: <mvmr10q9n36.fsf@HIDDEN>
Message-ID: <0b2303e392fa7a866fe4@HIDDEN>
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN>
 <83v8q3li60.fsf@HIDDEN> <87wnajzj6z.fsf@HIDDEN>
 <0b2303e3924bf00b49d2@HIDDEN> <0b2303e392fb4ac7f236@HIDDEN>
 <87v8q242q2.fsf@HIDDEN> <0b2303e3928a4abb2a7f@HIDDEN>
 <mvmr10q9n36.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> Sorry, I meant "eo" and "eo.utf8".
>
> eo.UTF-8 is the same as eo.utf8.
>

It's not completely the same, though: "eo.utf8" is a glibc-specific alias 
of "eo.UTF-8", "eo.UTF-8" is the standard name.  So I take back what I 
said above, and the OP should indeed use "eo.UTF-8".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 11:45:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 07:45:09 2022
Received: from localhost ([127.0.0.1]:46635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVAXN-0006H4-43
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 07:45:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47902)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVAXL-0006Gr-U1
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 07:45:08 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54614)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVAXA-0003cO-D2; Mon, 05 Sep 2022 07:45:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=6+ZPZrGFLXIDroh3WbyIWcDj0cRQMHMzfAxEi8lJx5g=; b=AgJUmcQk8W5e
 njFtAu/DnTuRox2CwK7fcGn+piybrc2qywOmPqXgt3HpwxsZNXmEWilHk36svwZs0y7b19UtrKE6v
 kdbQHpuHYnUmKrTtd/ueBK1M0wFXWOcijqyR6gklJfKRag0QmOIciZlWVo2X3AZmFbL1aNH0K8GN+
 /l5R2l3/auVftK83r6NrNc4kiVA6MgkLpXFD8oVQa2sFuR9Gg7xK47OK3j9Vg6H6D6NvHBYNYQTbT
 VLwNMO9xR2uEKQk38stbErlTm77VG2dDGNTgq0jbeHXNzZM/mOGJYnjx6EMCa/1vj6h6JjyuaJX89
 EFsPz+LZvG5sFRgNzCdK5A==;
Received: from [87.69.77.57] (port=3358 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVAX8-0007uN-P1; Mon, 05 Sep 2022 07:44:55 -0400
Date: Mon, 05 Sep 2022 14:44:33 +0300
Message-Id: <838rmykpum.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87v8q242q2.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 05 Sep 2022 10:58:29 +0200)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN> <83v8q3li60.fsf@HIDDEN>
 <87wnajzj6z.fsf@HIDDEN> <0b2303e3924bf00b49d2@HIDDEN>
 <0b2303e392fb4ac7f236@HIDDEN> <87v8q242q2.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, gregory@HIDDEN, schwab@HIDDEN,
 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Andreas Schwab <schwab@HIDDEN>,  jonathan@HIDDEN,  Eli
>  Zaretskii <eliz@HIDDEN>,  57531 <at> debbugs.gnu.org
> Date: Mon, 05 Sep 2022 10:58:29 +0200
> 
> Gregory Heytings <gregory@HIDDEN> writes:
> 
> > (BTW, this also means that the OP could solve his problem by using
> > "eo.UTF-8" for his locale instead of only "eo".)
> 
> That locale doesn't seem to exist on Debian systems, for instance:
> 
> $ grep eo /etc/locale.gen
> # eo UTF-8
> # eo_US.UTF-8 UTF-8

What does the below say on your Debian system?

  grep ^eo /usr/share/X11/locale/locale.alias




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 11:40:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 07:40:58 2022
Received: from localhost ([127.0.0.1]:46604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVATK-00069O-Cu
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 07:40:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVATI-00069C-UX
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 07:40:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47270)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVATC-0002th-Sh; Mon, 05 Sep 2022 07:40:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=j2axGTXJ+Vqesnz7MPgVmNDWqtstUcLcCBApaC+nWGg=; b=OVUfufkAJ8Dq
 omnhDcvM09E45U3o87vH9AGACcCBP87T5bBk5FUiBZImHjJgJOIJZ2s6DpH6d7aBkHz59MZAYBddc
 7k6HdcalZoh4yMpKy+fC7aNaFn6Q7OXBIClAZ/lYwyFe6+OmrG6PmYPtNLWDL2ZQMRNnbc15yXBMP
 GY6smHjCbrcGvZQRVK+PuTAYAgzkLDu4Oskzyc1YYFSPz0Y6XjQXG81+59AgUQTVcKXyiV5kZ2xP7
 snEVA2vjzEZJS8UbNGfehvJXj9r6+fgpTV8qek7oj4M1YXpEBsrDlI4Fp4Gisq/1NYbtwylvu17Ka
 6OvGqPZYeSO6V36dvI39LA==;
Received: from [87.69.77.57] (port=3108 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVATC-0007S0-Bs; Mon, 05 Sep 2022 07:40:50 -0400
Date: Mon, 05 Sep 2022 14:40:28 +0300
Message-Id: <83bkrukq1f.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <0b2303e392fb4ac7f236@HIDDEN> (message from Gregory
 Heytings on Mon, 05 Sep 2022 08:16:18 +0000)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN>
 <83v8q3li60.fsf@HIDDEN> <87wnajzj6z.fsf@HIDDEN>
 <0b2303e3924bf00b49d2@HIDDEN> <0b2303e392fb4ac7f236@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org, schwab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 05 Sep 2022 08:16:18 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: jonathan@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 57531 <at> debbugs.gnu.org
> 
> > Except that most other locales have "UTF-8" in their name when UTF-8 
> > should be used, so the current logic selects the right encoding, without 
> > consulting (locale-info 'codeset).  For example, with the locale 
> > "mt_MT", Emacs uses ISO-8859-3, and with the locale "mt_MT.UTF-8", Emacs 
> > uses UTF-8.
> >
> 
> (BTW, this also means that the OP could solve his problem by using 
> "eo.UTF-8" for his locale instead of only "eo".)

That was suggested, but rejected, because the system in question (or
maybe any GNU/Linux system?) doesn't have such a locale.

But AFAIU locale.alias should have told Emacs which encoding is
appropriate for "eo".  Andreas asked the OP what does locale.alias say
about that, but I saw no response yet.

What does "grep ^eo /usr/share/X11/locale/locale.alias" say on your
system?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 11:30:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 07:30:42 2022
Received: from localhost ([127.0.0.1]:46595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVAJL-0005d0-1u
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 07:30:42 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVAJJ-0005MV-DM
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 07:30:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49428)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVAJD-00015V-Pc; Mon, 05 Sep 2022 07:30:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=PecOD8bblQWDsaSrub4+ek747XydyzRnyBtddFj2Lz4=; b=mxDS0LN4DR16
 BgDhfNOHjO1RmVzZN4bOOtMP+L6UADCKpz+dD/9r03cEgFpAFtmWShIll9ThtN+eyRZU/YkRYsaKU
 nVgKk+RMuFO3xkBBhnFZoCuvKpKVF3b7IvdO4ash3iw0gRjfxOvsOC68WxoZHbzY8S9df7LXw97Jw
 JD7ZQ2B4orQe3vA/9HA9dZ0ueOvMWfaorJ2dEBS/RF+1ZVE9nYx9kvDNQYZ2khCidsE3p79lMBwUy
 K8zG5XBZNuARnyHc4U6NJn9SEiKzfqQ9CW2FnyNmIqrUZfCcvT7t0QvBHGpyx9cFYRwfDtlLGYV9O
 sly27Qa8VJSp+69ZSt8zlg==;
Received: from [87.69.77.57] (port=2470 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVAJ2-0001kr-8z; Mon, 05 Sep 2022 07:30:31 -0400
Date: Mon, 05 Sep 2022 14:29:58 +0300
Message-Id: <83edwqkqix.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <6fb0e08e80e292e6c7a0@HIDDEN> (message from Gregory
 Heytings on Sun, 04 Sep 2022 23:35:37 +0000)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <6fb0e08e80e292e6c7a0@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sun, 04 Sep 2022 23:35:37 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: Jonathan Reeve <jonathan@HIDDEN>, 57531 <at> debbugs.gnu.org
> 
> >> `("eo" "Esperanto" utf-8)'
> >
> > That's only correct for glibc systems, though, as I already explained. I 
> > found no authoritative place on the Internet which would mandate that 
> > the Esperanto locale should use or prefer UTF-8 as its encoding.
> >
> 
> I don't think it's possible to find a truly authoritative source of 
> information about an artificial language.  One semi-authoritative source 
> is Bertilo Wennergren, who is (according to Wikipedia) a member of the 
> Esperanto Academy and "holds the post of director of the Academy's General 
> Dictionary section".  He appears to be the expert on that matter (namely 
> computer encodings for Esperanto), and explains on his website that:
> 
> Latino 3 is made for Esperanto and for the Galician, Maltese and Turkish 
> languages. However, few computer programs support Latin 3, and some bodies 
> have even directly discouraged the use of Latin 3. The Turks currently 
> prefer the character code Latin 5 (ISO 8859-9) . Esperantists also 
> currently prefer and should prefer Unicode instead of Latin 3. [1, 
> translation from Google]
> 
> He also gives instructions on how to configure a GNU/Linux distribution 
> for Esperanto:
> 
> To be able to use Esperanto well in Linux, it is necessary that the system 
> uses a Unicode locale. Fortunately, more or less all Linux distributions 
> currently use Unicode locales by default. To check which character code 
> your system's locale uses, type the following command: "locale charmap". 
> If the answer appears "UTF-8" (that is the most commonly used code 
> representation of Unicode), then everything about character code in your 
> locale is already in order. [2, translation from Google]

If we were designing support for this locale today, we'd probably have
used UTF-8 as its default encoding.  But this is not the case: this
locale with its data exists for many years, and I'd like to avoid
changing the default encoding if a better solution exists.  Especially
since at this point it is not yet clear why this doesn't work on OP's
system, given the fact that locale.alias should have told Emacs what
encoding to use, before falling back on what we have in
language-info-alist.  See also my other message.

> So it seems safer to assume that the coding system is UTF-8 when the 
> locale is "eo" (which IIUC is what the above suggested change does), and 
> to expect users who would not like that default to add
> 
> (prefer-coding-system 'iso-latin-3)
> 
> in their init file, than to assume ISO-8859-3 when the locale is "eo" 
> (which IIUC is what Emacs currently does), and to expect users who do not 
> like that default to add

It is not clear to me yet that we need to change the current
assumption, since on well-configured system the correct encoding
should be stated in locale.alias, in which Emacs looks before it falls
back to language-info-alist.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 09:39:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 05:39:47 2022
Received: from localhost ([127.0.0.1]:46455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oV8a3-00075K-JA
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 05:39:47 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:49254)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schwab@HIDDEN>) id 1oV8Zz-000759-Fw
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 05:39:46 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4MLk4t3Fx7z1s7t9;
 Mon,  5 Sep 2022 11:39:42 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4MLk4t05Frz1qqkD;
 Mon,  5 Sep 2022 11:39:41 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id lHMEL9l8kLBN; Mon,  5 Sep 2022 11:39:41 +0200 (CEST)
X-Auth-Info: q0QElra9SCPTdUCcavcY+/znve1AOv/XLEVPdXqEjUD3erHu+l/U5vdIAJDsDsjC
Received: from hawking (unknown [81.95.8.244])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Mon,  5 Sep 2022 11:39:41 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN> <83v8q3li60.fsf@HIDDEN>
 <87wnajzj6z.fsf@HIDDEN> <0b2303e3924bf00b49d2@HIDDEN>
 <0b2303e392fb4ac7f236@HIDDEN> <87v8q242q2.fsf@HIDDEN>
 <0b2303e3928a4abb2a7f@HIDDEN>
X-Yow: Impudent..  Yet possessing a certain ALUMINUM SILICATE
 overbite....Needs REDDY-WHIP!!
Date: Mon, 05 Sep 2022 11:39:41 +0200
In-Reply-To: <0b2303e3928a4abb2a7f@HIDDEN> (Gregory Heytings's message
 of "Mon, 05 Sep 2022 09:10:16 +0000")
Message-ID: <mvmr10q9n36.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 57531 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sep 05 2022, Gregory Heytings wrote:

> Sorry, I meant "eo" and "eo.utf8".

eo.UTF-8 is the same as eo.utf8.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 09:30:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 05:30:34 2022
Received: from localhost ([127.0.0.1]:46438 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oV8R8-0006ru-9p
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 05:30:34 -0400
Received: from heytings.org ([95.142.160.155]:55610)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oV8R6-0006rk-A6
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 05:30:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1662370231;
 bh=PYposTRzEixv0bRQGebiCnI69eqlrTUk8NFIyfEqXAY=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=iDmxejI+5e7dzDNiJgKi7rv4/SaiGxI/4GXCcq6YOYjG2kn+pNjhlE7p5bjMaovsk
 sS197/iIDwFUwxdi3kehwRb4pUMNYy2xkFFqi5rI7sWsS5X5S3yN9eYAVhCCrXOQ9L
 Cz+hW31IHyT3+VBU5Y05jCKj912x0jHxIeHY0Z2kMf/WN2CII1ZspZfmmYtOgsW6tV
 YVuaVKzX0aAncSZE797EQojeK1T2uvgQm+wM6igzpuBmEFXwlbcm3dGeK5UtFNp5oW
 dsbYUnpQZJ2q/6QhtzwSisEEpqB9dofjSou78/m3TYQscosTvWLRQNdy0e2WX5S9c6
 ByFmcmotctE9Q==
Date: Mon, 05 Sep 2022 09:30:30 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
In-Reply-To: <mvmv8q29nt7.fsf@HIDDEN>
Message-ID: <0b2303e392d6904c9e6b@HIDDEN>
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN>
 <83v8q3li60.fsf@HIDDEN> <87wnajzj6z.fsf@HIDDEN>
 <0b2303e3924bf00b49d2@HIDDEN> <0b2303e392fb4ac7f236@HIDDEN>
 <87v8q242q2.fsf@HIDDEN> <mvmv8q29nt7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>,
 57531 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> (BTW, this also means that the OP could solve his problem by using 
>>> "eo.UTF-8" for his locale instead of only "eo".)
>>
>> That locale doesn't seem to exist on Debian systems, for instance:
>
> Yes, it does.
>
> $ LC_ALL=eo.UTF-8 locale -k title
> title="Esperanto language locale"
>

Oh yes, indeed.  So in fact you can use both "eo.utf8" (which is what 
locale -a displays) or "eo.UTF-8".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 09:24:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 05:24:11 2022
Received: from localhost ([127.0.0.1]:46423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oV8Kw-0006g6-OI
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 05:24:10 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:51947)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <schwab@HIDDEN>) id 1oV8Kt-0006fw-Nn
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 05:24:09 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4MLjkt2PKdz1qybn;
 Mon,  5 Sep 2022 11:24:06 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4MLjks6vNrz1qqkD;
 Mon,  5 Sep 2022 11:24:05 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id QgQvv9_TMO1O; Mon,  5 Sep 2022 11:24:05 +0200 (CEST)
X-Auth-Info: AJpIoK8xJqrOL4clYwf02izz3uTQiFtP/WlsqBxN0OUShTp1N2M8vrRccFCrOeW8
Received: from hawking (unknown [81.95.8.244])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Mon,  5 Sep 2022 11:24:05 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN> <83v8q3li60.fsf@HIDDEN>
 <87wnajzj6z.fsf@HIDDEN> <0b2303e3924bf00b49d2@HIDDEN>
 <0b2303e392fb4ac7f236@HIDDEN> <87v8q242q2.fsf@HIDDEN>
X-Yow: Are we THERE yet?!
Date: Mon, 05 Sep 2022 11:24:04 +0200
In-Reply-To: <87v8q242q2.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 05 Sep 2022 10:58:29 +0200")
Message-ID: <mvmv8q29nt7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, Gregory Heytings <gregory@HIDDEN>,
 57531 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sep 05 2022, Lars Ingebrigtsen wrote:

> Gregory Heytings <gregory@HIDDEN> writes:
>
>> (BTW, this also means that the OP could solve his problem by using
>> "eo.UTF-8" for his locale instead of only "eo".)
>
> That locale doesn't seem to exist on Debian systems, for instance:

Yes, it does.

$ LC_ALL=eo.UTF-8 locale -k title
title="Esperanto language locale"

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 09:10:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 05:10:22 2022
Received: from localhost ([127.0.0.1]:46408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oV87a-0006KI-0w
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 05:10:22 -0400
Received: from heytings.org ([95.142.160.155]:55582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oV87W-0006K5-Ft
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 05:10:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1662369017;
 bh=3UqQT9+qCVyryXor9xhXAbswSfNsULEble4/PO0DXzg=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=2fPHYgMvvVjTNsva3dKjrfx93oPxRpyVMbE6bjw/HrDqiUXse32mlFNjDNhoqDvL2
 ipRBR652QjeVl9u+9Br6yT5X6jd1sBRNpcUnQaAMrk6o1MW2mst9sZGciUvTte0u+v
 h+LXFENGIFymcot67VfasnH14k4tPuGriuBOgQRkrQH5vhnBkf5OhCgrty0WJ1yk/w
 E8+sm46CNVd654/fqsBs/Wkb9K4zNvC/xr4mwS3LFSb9P6R4BgK3DwbdFlq+Lt4i5+
 CT7MqtXLCFVlojSFn21zak1ejwrXh/4atKalf9KINBhzO2gfMxTKnb7+3ouBnicdcT
 vMfLj3FJa+6Ow==
Date: Mon, 05 Sep 2022 09:10:16 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
In-Reply-To: <87v8q242q2.fsf@HIDDEN>
Message-ID: <0b2303e3928a4abb2a7f@HIDDEN>
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN>
 <83v8q3li60.fsf@HIDDEN> <87wnajzj6z.fsf@HIDDEN>
 <0b2303e3924bf00b49d2@HIDDEN> <0b2303e392fb4ac7f236@HIDDEN>
 <87v8q242q2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 Andreas Schwab <schwab@HIDDEN>, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> (BTW, this also means that the OP could solve his problem by using 
>> "eo.UTF-8" for his locale instead of only "eo".)
>
> That locale doesn't seem to exist on Debian systems, for instance:
>
> $ grep eo /etc/locale.gen
> # eo UTF-8
> # eo_US.UTF-8 UTF-8
>

Sorry, I meant "eo" and "eo.utf8".  You can try (after activating the "eo" 
locale):

env LC_ALL=eo emacs -Q
env LC_ALL=eo.utf8 emacs -Q

and you'll see that in the latter case UTF-8 is used and in the former 
Latin-3.  You'd get the same result with LANG instead of LC_ALL.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 08:58:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 04:58:49 2022
Received: from localhost ([127.0.0.1]:46386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oV7wL-0005zo-Kd
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 04:58:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oV7wI-0005zY-JZ
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 04:58:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=1+xYo6UjnZJ+bkORJGNLK+edQainWWEF+rSO9LQNhPw=; b=s+cXmxB1vs6CoCXXx8w7oVWCN2
 6H9G2DYnTzl9CHNDhubs6NeqOQfDx7D8IqnJPNtQwG0QLTyBRzuPF//Bh258atqLq0DXmII+rLorP
 2FCFxRjGjPomL9OwZm8X0bIUFZrScbr1ZmAytsb8PkZkxRPgx6lSq25ZZqfc2v5a4D8E=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oV7w7-0008FP-JF; Mon, 05 Sep 2022 10:58:34 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
In-Reply-To: <0b2303e392fb4ac7f236@HIDDEN> (Gregory Heytings's message
 of "Mon, 05 Sep 2022 08:16:18 +0000")
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN> <83v8q3li60.fsf@HIDDEN>
 <87wnajzj6z.fsf@HIDDEN> <0b2303e3924bf00b49d2@HIDDEN>
 <0b2303e392fb4ac7f236@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEUeEhNSUj6ZTE9O
 KSn///9g5oYHAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YJBQg5O4eb9VoAAAGUSURBVDjLdZOLse0g
 CEU1uwE5NpBoAyj993ZB1HzmPTITP8uNChhCLJW+VrKEEH8pqLG4WT+WMfVfE28wh6yfTxze6fY7
 Q6g4FxAGS++sC2rgjooJtHucnfvJOte5HgUb6LRIZ3SIVEjdQM7e5QjoglrBYxddpd5FlyIwhIXH
 bsvUK+oa9D0dQ2T7D9u3ButUykiK1VngFJ1BQkuUCJFIO8OWomUbRLQZ3bzDpX0Fca6nxNNVEOaY
 ojoLZGJ6nHfFV4XNAUTWoQUAtUjtozjKtjSG60bQuETi2EAWlFhunYLMMGCDq+WJGDBAE6jLcykG
 ENA+0O2KkuT4Bebqn0CvqPu1LxADetyW2xPM6uwlvwEcSC+FDDQP7lBo8oL8rgV06bieNGt4ATHf
 Djxr/SqXKxaYBfAC/lhYPMmV3gBhlEbT1G7Q/MAWUpRLHoB9rYHrJ/ep5u4jCZLFnDloyUGyhIgp
 XgAGtCzxUPjdJtCSywvQDazN4wo3aFtxgzsox/kCvntab2ICreF0vzHmrdhV74oJ/gCHx1JWtVWj
 PQAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wOS0wNVQwODo1Nzo1OCswMDowMDRRy+wAAAAldEVY
 dGRhdGU6bW9kaWZ5ADIwMjItMDktMDVUMDg6NTc6NTgrMDA6MDBFDHNQAAAAAElFTkSuQmCC
X-Now-Playing: Dorothy Ashby's _Afro-Harping_: "Life has its Trials"
Date: Mon, 05 Sep 2022 10:58:29 +0200
Message-ID: <87v8q242q2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Gregory Heytings <gregory@HIDDEN> writes: > (BTW, this
 also means that the OP could solve his problem by using > "eo.UTF-8" for
 his locale instead of only "eo".) That locale doesn't seem to exist on Debian
 systems, for instance: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 Andreas Schwab <schwab@HIDDEN>, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Gregory Heytings <gregory@HIDDEN> writes:

> (BTW, this also means that the OP could solve his problem by using
> "eo.UTF-8" for his locale instead of only "eo".)

That locale doesn't seem to exist on Debian systems, for instance:

$ grep eo /etc/locale.gen
# eo UTF-8
# eo_US.UTF-8 UTF-8





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 08:16:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 05 04:16:27 2022
Received: from localhost ([127.0.0.1]:46364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oV7HO-0004xX-Lw
	for submit <at> debbugs.gnu.org; Mon, 05 Sep 2022 04:16:27 -0400
Received: from heytings.org ([95.142.160.155]:55512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oV7HI-0004xJ-Hl
 for 57531 <at> debbugs.gnu.org; Mon, 05 Sep 2022 04:16:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1662365779;
 bh=7hzRnGQzsbQtM91Qx0WJ2MuQ3RPpf1tjAERJY9WoHc4=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=vUHgWYcxN25LchoF96m2Q7LoGoKBr2vyGEvKZrwJxWCNEO15adxtvRVtoqkjAbilI
 PNPefhXJi3Lwcj9OGbUbreIrcx3IL0bW6FjhZMD1AcyTUqx15BUzHgM4CWI4Og3/RQ
 gx14KTuBaCCBpqEO3m4hoCbrj7VBNJ1RVzkOHrSVmFhWBnXXU6UDg7aw6RCv5vly6y
 +pqJThx+GN8GVfGq+7jrQ/hEn5AaG6g4+1cMr+k788dunBr1tKkqv96nR2rOv9MPOy
 +TBLBGS0fScN/Fw7pm+t5WXutzUq3x3N6lqiEKsMas7CKLN0mN9Us7wsbNwLyeayjS
 hKFSxj7GG/2Og==
Date: Mon, 05 Sep 2022 08:16:18 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
In-Reply-To: <0b2303e3924bf00b49d2@HIDDEN>
Message-ID: <0b2303e392fb4ac7f236@HIDDEN>
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN>
 <83v8q3li60.fsf@HIDDEN> <87wnajzj6z.fsf@HIDDEN>
 <0b2303e3924bf00b49d2@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>>> (locale-info 'codeset)
>>> 
>>> If you mean that set-locale-environment should use that, please say 
>>> that explicitly.  And then feel free to suggest a patch that does TRT 
>>> with all the convoluted logic and preferences there, so that we don't 
>>> disrupt the setup it took us decades to come up to, for the benefit of 
>>> a single obscure locale.
>> 
>> It's not for a single obscure locale, it's for all of them.
>
> Except that most other locales have "UTF-8" in their name when UTF-8 
> should be used, so the current logic selects the right encoding, without 
> consulting (locale-info 'codeset).  For example, with the locale 
> "mt_MT", Emacs uses ISO-8859-3, and with the locale "mt_MT.UTF-8", Emacs 
> uses UTF-8.
>

(BTW, this also means that the OP could solve his problem by using 
"eo.UTF-8" for his locale instead of only "eo".)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 5 Sep 2022 00:00:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 20:00:24 2022
Received: from localhost ([127.0.0.1]:45930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUzXM-0004qZ-Jt
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 20:00:24 -0400
Received: from heytings.org ([95.142.160.155]:55108)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oUzXK-0004qQ-Gn
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 20:00:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1662336021;
 bh=/So4J5zum3/C5UKSQRidVlaZplQ1H4Dmh7hID9VmtwQ=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=zC8EXPMolsEbzzqKxi6SXx+eEi4ir64a9qZtOnRZg1S2jpPLoXtZFB3c7MZ962CzT
 xQQr9ILMHKNzXYXW5Pe3JukEAlNJXMp+2ssnSi/04bG9+BcMIEEgCh/XOvWdHkFd6/
 LBOX4FncTMt13q3kCjKRdbE/jCDJSb6jYEuddeqJlZcgQgu/2cZ72hxHmfjkzLEofL
 KZDN+r1uuAdFl1Vdc+gHgm4fY2MfTZWh3bTFw70XacK8BCULoQYqZXmaD8rmFd8ma0
 0dnDr0jDNtxqu8bDh4CS1jN6sbqba3BWPWbR/n+rTpfAf1E4TOkDtBPcbWHJVpnxGs
 JfLjtLoTIRZyQ==
Date: Mon, 05 Sep 2022 00:00:20 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
In-Reply-To: <87wnajzj6z.fsf@HIDDEN>
Message-ID: <0b2303e3924bf00b49d2@HIDDEN>
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN>
 <83v8q3li60.fsf@HIDDEN> <87wnajzj6z.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> (locale-info 'codeset)
>>
>> If you mean that set-locale-environment should use that, please say 
>> that explicitly.  And then feel free to suggest a patch that does TRT 
>> with all the convoluted logic and preferences there, so that we don't 
>> disrupt the setup it took us decades to come up to, for the benefit of 
>> a single obscure locale.
>
> It's not for a single obscure locale, it's for all of them.
>

Except that most other locales have "UTF-8" in their name when UTF-8 
should be used, so the current logic selects the right encoding, without 
consulting (locale-info 'codeset).  For example, with the locale "mt_MT", 
Emacs uses ISO-8859-3, and with the locale "mt_MT.UTF-8", Emacs uses 
UTF-8.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 4 Sep 2022 23:35:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 19:35:49 2022
Received: from localhost ([127.0.0.1]:45925 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUz9S-0004De-Qm
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 19:35:49 -0400
Received: from heytings.org ([95.142.160.155]:55084)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1oUz9Q-0004DU-1H
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 19:35:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20220101; t=1662334538;
 bh=8llUN0Gd/EBkLVp0IZz9WDDK0DzcPcrIUl0gTgxd8Ng=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=2uUuB+1/Y9JVLMXL4zI0pFBNt8Dqk/mxUNV6tL4UAzWvu6HFke59PrLwmiQrGg7BL
 DzRk0Tsj1ybKEE2/vH2B1tva7+BsBXMQbwYtuMyqt/xiQtpPKEP8HMA0UgHE14TmWs
 +TeOGN5y77e3B7VlRq8XCa9rTiTuVptCn3/r6bUHePNgKVrnOpkTyeDCMs7d4Ff1K0
 19PMVc8jfIhV1B/TM5Diz25i7xUAYYH+VHind38M7Oz+zkwG1Qz95ZHMh+1KTelS5V
 PK9XVq7zCAcbGQ3VV4Ggfjy64Ne1a5rY+xKJGmF7tM3dP5fbZno79HdTevac0eMUhA
 R+ZzSHxRuzMew==
Date: Sun, 04 Sep 2022 23:35:37 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
In-Reply-To: <831qsrn1im.fsf@HIDDEN>
Message-ID: <6fb0e08e80e292e6c7a0@HIDDEN>
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-ID: <6fb0e08e80e3d51347b8@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57531
Cc: Jonathan Reeve <jonathan@HIDDEN>, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> The problem is in this line from `locale-language-names'. Here's what 
>> it says:
>>
>> `("eo" . "Esperanto")'
>>
>> Here's what it should say:
>>
>> `("eo" "Esperanto" utf-8)'
>
> That's only correct for glibc systems, though, as I already explained. I 
> found no authoritative place on the Internet which would mandate that 
> the Esperanto locale should use or prefer UTF-8 as its encoding.
>

I don't think it's possible to find a truly authoritative source of 
information about an artificial language.  One semi-authoritative source 
is Bertilo Wennergren, who is (according to Wikipedia) a member of the 
Esperanto Academy and "holds the post of director of the Academy's General 
Dictionary section".  He appears to be the expert on that matter (namely 
computer encodings for Esperanto), and explains on his website that:

Latino 3 is made for Esperanto and for the Galician, Maltese and Turkish 
languages. However, few computer programs support Latin 3, and some bodies 
have even directly discouraged the use of Latin 3. The Turks currently 
prefer the character code Latin 5 (ISO 8859-9) . Esperantists also 
currently prefer and should prefer Unicode instead of Latin 3. [1, 
translation from Google]

He also gives instructions on how to configure a GNU/Linux distribution 
for Esperanto:

To be able to use Esperanto well in Linux, it is necessary that the system 
uses a Unicode locale. Fortunately, more or less all Linux distributions 
currently use Unicode locales by default. To check which character code 
your system's locale uses, type the following command: "locale charmap". 
If the answer appears "UTF-8" (that is the most commonly used code 
representation of Unicode), then everything about character code in your 
locale is already in order. [2, translation from Google]

Amusingly, at the bottom of that page one finds:

It is also possible to speak Esperanto in the powerful text editor 
"Emacs", but I know nothing about "Emacs".  I myself mainly use the Vim 
editor. Here are instructions for installing and configuring Unicode Vim 
7.

So it seems safer to assume that the coding system is UTF-8 when the 
locale is "eo" (which IIUC is what the above suggested change does), and 
to expect users who would not like that default to add

(prefer-coding-system 'iso-latin-3)

in their init file, than to assume ISO-8859-3 when the locale is "eo" 
(which IIUC is what Emacs currently does), and to expect users who do not 
like that default to add

(prefer-coding-system 'utf-8)

in their init file.

[1] https://bertilow.com/html/signokodoj/latino3.html

[2] https://bertilow.com/komputo/linukso.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 4 Sep 2022 08:49:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 04:49:13 2022
Received: from localhost ([127.0.0.1]:43469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUlJY-0003uz-UX
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 04:49:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oUlJX-0003um-M2
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 04:49:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59032)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUlJR-0005av-QC; Sun, 04 Sep 2022 04:49:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=KWXiCuglxSrH1PCmp84RDALhLjk1Fhpfouc6msg8IZI=; b=HWVY0uCnY+ma
 TYDJH+N952NV3LpzNsVWg/blusr7u/39zYfbP6hJQ998S7BBP4SGQumdFkt3ebAWnpkzBdS5JpJKh
 mERwacjlNbYrUfzUlFKxusxryKG13w6ZXwfelbwgItQuupk0X4cXp82p80qn+8FSHVZ+ETSajpk3V
 pBU7QUQrz2um//0kWVeuNfTTJoX5VYftGh+MvUsy9pjw2WOrZubom7h+7UVn7wFBV+u/xy6iEcXSz
 P7aGWrqXyMy+el4SgSdkbKI89DoEyI+/CLkM/W6++hVKlENRrAclUONWQUAr8tM5tqA5tlOm40H/Q
 bripjoJ+bEfR8HOaFjn9gQ==;
Received: from [87.69.77.57] (port=4301 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUlJQ-0002hh-Jl; Sun, 04 Sep 2022 04:49:04 -0400
Date: Sun, 04 Sep 2022 11:48:40 +0300
Message-Id: <83pmgble3b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-Reply-To: <87pmgbzg6x.fsf@HIDDEN> (message from Andreas Schwab on
 Sun, 04 Sep 2022 10:39:34 +0200)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <87pmgbzg6x.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 57531 <at> debbugs.gnu.org
> From: Andreas Schwab <schwab@HIDDEN>
> Date: Sun, 04 Sep 2022 10:39:34 +0200
> 
> What does grep ^eo /usr/share/X11/locale/locale.alias return?

FWIW, here it returns:

  eo                                              eo_XX.ISO8859-3
  eo_EO                                           eo_EO.ISO8859-3
  eo_EO.ISO8859-3                         eo_EO.ISO8859-3
  eo_XX                                           eo_XX.ISO8859-3
  eo_XX.ISO8859-3                         eo_XX.ISO8859-3
  eo:                                             eo_XX.ISO8859-3
  eo_EO:                                          eo_EO.ISO8859-3
  eo_EO.ISO8859-3:                                eo_EO.ISO8859-3
  eo_XX:                                          eo_XX.ISO8859-3
  eo_XX.ISO8859-3:                                eo_XX.ISO8859-3




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 4 Sep 2022 08:39:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 04:39:39 2022
Received: from localhost ([127.0.0.1]:43455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUlAJ-0003dA-4O
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 04:39:39 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:34639)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1oUlAH-0003d1-9h
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 04:39:37 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4ML4p00TdVz1r0mP;
 Sun,  4 Sep 2022 10:39:36 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4ML4p004l6z1qqkC;
 Sun,  4 Sep 2022 10:39:35 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id woUZrhdvV941; Sun,  4 Sep 2022 10:39:35 +0200 (CEST)
X-Auth-Info: hRum/JgXzmAwb43JtbpxDs54xvqqfAnKC4r2ZTvrggfy4OB0NWEsrBZPSvBz2UVX
Received: from tiger.home (ppp-46-244-171-214.dynamic.mnet-online.de
 [46.244.171.214])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun,  4 Sep 2022 10:39:35 +0200 (CEST)
Received: by tiger.home (Postfix, from userid 1000)
 id BE9B21179E4; Sun,  4 Sep 2022 10:39:34 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Jonathan Reeve <jonathan@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN>
X-Yow: I LOVE juxtaposing th' splendor of an unpopulated ARROYO with
 th' SLEEK lines of ``NARCISSUS-X'', my new SPORTS UTILITY VEHICLE!
Date: Sun, 04 Sep 2022 10:39:34 +0200
In-Reply-To: <87h71r0w5z.fsf@HIDDEN> (Jonathan Reeve's message of "Thu, 
 01 Sep 2022 18:47:10 +0000")
Message-ID: <87pmgbzg6x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 57531
Cc: 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

What does grep ^eo /usr/share/X11/locale/locale.alias return?

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 4 Sep 2022 08:28:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 04:28:37 2022
Received: from localhost ([127.0.0.1]:43445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUkzc-0003MC-J9
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 04:28:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57662)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oUkzb-0003La-EK
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 04:28:35 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55704)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUkzV-0002md-U2; Sun, 04 Sep 2022 04:28:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=oXwSSXDH5T/hiSp/nxFtdeelb+VZe8pc8LAC7o6MPuc=; b=Joi93caH1jYO
 9LGgxz4J2bl8YgrtTg/5kdL9C/ygFDttM2InKuJeDIRysFhEbxr7V256RkDogbOUWhDL5TyCmCYWz
 u7zOdVvcjgustbeuxDZCKmQeN9y61MdxM3YyPURNSRnnc9dgQ/LjZqwcTJU0ZJA8En4Q6eZGmA+u9
 SMKwhyAJG1uLf3ukN5Id9PwbssW5QMzJHEToj1Gog1cUd2dOi0fIUdBTF2PqCZjztw6gIe7WtViEI
 lsS9PfV38oPaDLCR0S+4kuD12pkGbZvp0H9K4PSSFA2fFGyaCHFXAxM8D6hVILYj4W1+YYg6lag8B
 jyHW/fMKsJXThuzWDT56wg==;
Received: from [87.69.77.57] (port=2937 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUkzV-0005zy-Ct; Sun, 04 Sep 2022 04:28:29 -0400
Date: Sun, 04 Sep 2022 11:28:06 +0300
Message-Id: <83r10rlf1l.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: jonathan@HIDDEN
In-Reply-To: <83tu5nlgyy.fsf@HIDDEN> (message from Eli Zaretskii on Sun, 04
 Sep 2022 10:46:29 +0300)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN> <83v8q3li60.fsf@HIDDEN>
 <87wnajzj6z.fsf@HIDDEN> <83tu5nlgyy.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: 57531 <at> debbugs.gnu.org, schwab@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
> Date: Sun, 04 Sep 2022 10:46:29 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> 
> But like I said: feel free to submit a patch that doesn't potentially
> destroy everything we have in that setup.  If the patch is safe
> enough, I see no reason not to accept it.

Something like the below could be acceptable, if it solves the
problem.

diff --git a/lisp/international/mule-cmds.el b/lisp/international/mule-cmds.el
index 4137642..6866291 100644
--- a/lisp/international/mule-cmds.el
+++ b/lisp/international/mule-cmds.el
@@ -2317,7 +2317,7 @@ locale-language-names
     ;; en_IN -- fx.
     ("en_IN" "English" utf-8) ; glibc uses utf-8 for English in India
     ("en" "English" iso-8859-1) ; English
-    ("eo" . "Esperanto") ; Esperanto
+    ("eo" "Esperanto" locale-info) ; Esperanto
     ("es" "Spanish" iso-8859-1)
     ("et" . "Latin-9") ; Estonian
     ("eu" . "Latin-1") ; Basque
@@ -2522,8 +2522,12 @@ locale-language-names
   (LOCALE-REGEXP LANG-ENV CODING-SYSTEM)
 The first element whose LOCALE-REGEXP matches the start of a
 downcased locale specifies the LANG-ENV \(language environment)
-and CODING-SYSTEM corresponding to that locale.  If there is no
-appropriate language environment, the element may have this form:
+and CODING-SYSTEM corresponding to that locale.
+CODING-SYSTEM can be the special symbol `locale-info', which
+means we should call `locale-info' to request the codeset of
+the current locale.
+If there is no appropriate language environment, the element may
+have this form:
   (LOCALE-REGEXP . LANG-ENV)
 In this case, LANG-ENV is one of generic language environments for an
 specific encoding such as \"Latin-1\" and \"UTF-8\".")
@@ -2794,9 +2798,23 @@ set-locale-environment
 	    ;; locale-language-names specify both lang-env and coding.
 	    ;; But, what specified in locale-preferred-coding-systems
 	    ;; has higher priority.
-	    (setq coding-system (or coding-system
-				    (nth 1 language-name))
-		  language-name (car language-name))
+            (progn
+	      (setq coding-system (or coding-system
+				      (nth 1 language-name))
+		    language-name (car language-name))
+              ;; If locale-language-names specifies we should query
+              ;; the underlying libc, do that now, but only when we
+              ;; are setting up for the current locale, i.e. when this
+              ;; function is called from startup.el with an argument
+              ;; of nil.
+              (if (eq coding-system 'locale-info)
+                  (if locale-name
+                      (setq coding-system nil)
+                    (let ((locale-codeset (locale-info 'codeset)))
+                      (when (stringp locale-codeset)
+                        (setq coding-system (intern (downcase locale-codeset)))
+                        (unless (coding-system-p coding-system)
+                          (setq coding-system nil)))))))
 	  ;; Otherwise, if locale is not listed in locale-language-names,
 	  ;; use what listed in locale-charset-language-names.
 	  (if (not language-name)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 4 Sep 2022 07:47:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 03:47:02 2022
Received: from localhost ([127.0.0.1]:43395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUkLO-0002It-29
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 03:47:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36078)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oUkLL-0002IO-Ne
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 03:47:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38898)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUkLF-0005sX-Tc; Sun, 04 Sep 2022 03:46:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=O5B+1WgLIZIFLQ62CcOwEoToCS0L857xNnVEMTSA0CM=; b=gigeGKgsfT+I
 8u+Pu02LMn8b867P7KVu7tLvDooo+cf1pl4VR7qcvHLKnak3IAqCp1hoPAng722eTccuAXODePxME
 zSduduEVXeOm5BcmzYCtX0GK02aOda8MEdCBJzKGR1F1gVhVbf3vkoVDkL60X8EFzOvcuXovbJLd9
 uqavMI8w/sWCBZyurYXiD3FDan40iEl+RBRVM4oxO7EcQqFQ7kGnZhZHqS/8JX8cSPFF066WOFj/3
 nq7B9Tk6MAwTsRDGbhnnU4e+fP3W6v/exHtrK7KDLevblkHFKDAVzurJAZjeyxOpizdK+fjNHziYq
 zjucfdNvZ+fWUsDkNBg3ag==;
Received: from [87.69.77.57] (port=4384 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUkLF-0003Cd-9r; Sun, 04 Sep 2022 03:46:53 -0400
Date: Sun, 04 Sep 2022 10:46:29 +0300
Message-Id: <83tu5nlgyy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-Reply-To: <87wnajzj6z.fsf@HIDDEN> (message from Andreas Schwab on
 Sun, 04 Sep 2022 09:34:44 +0200)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN> <83v8q3li60.fsf@HIDDEN>
 <87wnajzj6z.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andreas Schwab <schwab@HIDDEN>
> Cc: jonathan@HIDDEN,  57531 <at> debbugs.gnu.org
> Date: Sun, 04 Sep 2022 09:34:44 +0200
> 
> On Sep 04 2022, Eli Zaretskii wrote:
> 
> >> From: Andreas Schwab <schwab@HIDDEN>
> >> Cc: Jonathan Reeve <jonathan@HIDDEN>,  57531 <at> debbugs.gnu.org
> >> Date: Sun, 04 Sep 2022 09:03:00 +0200
> >> 
> >> On Sep 04 2022, Eli Zaretskii wrote:
> >> 
> >> > If you can show me some authoritative source of information about this
> >> > locale
> >> 
> >> (locale-info 'codeset)
> >
> > If you mean that set-locale-environment should use that, please say
> > that explicitly.  And then feel free to suggest a patch that does TRT
> > with all the convoluted logic and preferences there, so that we don't
> > disrupt the setup it took us decades to come up to, for the benefit of
> > a single obscure locale.
> 
> It's not for a single obscure locale, it's for all of them.

Does that mean you do suggest that set-locale-environment calls
locale-info?  Or do you suggest something different?

Anyway, for all the other locales, the current code already works, and
works well.  So we will be risking breakage while fixing one locale
that on one particular OS works less well.

But like I said: feel free to submit a patch that doesn't potentially
destroy everything we have in that setup.  If the patch is safe
enough, I see no reason not to accept it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 4 Sep 2022 07:34:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 03:34:48 2022
Received: from localhost ([127.0.0.1]:43382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUk9Y-00020r-4Y
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 03:34:48 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:58611)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1oUk9W-00020i-C8
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 03:34:46 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4ML3M94mV1z1s7tc;
 Sun,  4 Sep 2022 09:34:45 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4ML3M94bzcz1qqkC;
 Sun,  4 Sep 2022 09:34:45 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id 89ounOIs-2Vv; Sun,  4 Sep 2022 09:34:44 +0200 (CEST)
X-Auth-Info: X7nTQpZNd3cYbClWTKx+Sziy92iAYOIg1odxL18CSBSU/FmbHX1KMRtMNyamUIee
Received: from tiger.home (ppp-46-244-171-214.dynamic.mnet-online.de
 [46.244.171.214])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun,  4 Sep 2022 09:34:44 +0200 (CEST)
Received: by tiger.home (Postfix, from userid 1000)
 id 4FB971179A0; Sun,  4 Sep 2022 09:34:44 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN> <83v8q3li60.fsf@HIDDEN>
X-Yow: Hello, GORRY-O!!  I'm a GENIUS from HARVARD!!
Date: Sun, 04 Sep 2022 09:34:44 +0200
In-Reply-To: <83v8q3li60.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 04 Sep
 2022 10:20:39 +0300")
Message-ID: <87wnajzj6z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Sep 04 2022, Eli Zaretskii wrote:

>> From: Andreas Schwab <schwab@HIDDEN>
>> Cc: Jonathan Reeve <jonathan@HIDDEN>,  57531 <at> debbugs.gnu.org
>> Date: Sun, 04 Sep 2022 09:03:00 +0200
>> 
>> On Sep 04 2022, Eli Zaretskii wrote:
>> 
>> > If you can show me some authoritative source of information about this
>> > locale
>> 
>> (locale-info 'codeset)
>
> If you mean that set-locale-environment should use that, please say
> that explicitly.  And then feel free to suggest a patch that does TRT
> with all the convoluted logic and preferences there, so that we don't
> disrupt the setup it took us decades to come up to, for the benefit of
> a single obscure locale.

It's not for a single obscure locale, it's for all of them.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 4 Sep 2022 07:33:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 03:33:25 2022
Received: from localhost ([127.0.0.1]:43377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUk8C-0001yr-OL
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 03:33:24 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:53093)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1oUk89-0001yg-79
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 03:33:21 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4ML3KW1hq6z1r0mv;
 Sun,  4 Sep 2022 09:33:19 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4ML3KW1L8zz1qqkD;
 Sun,  4 Sep 2022 09:33:19 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id 07vlXmHy1efe; Sun,  4 Sep 2022 09:33:18 +0200 (CEST)
X-Auth-Info: NIWuFpoHeRtt+KkuSgVpyXDUZkiOzQm+MTm2xQXy4ejVyRIV6/JvSVuACdLkvnNN
Received: from tiger.home (ppp-46-244-171-214.dynamic.mnet-online.de
 [46.244.171.214])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun,  4 Sep 2022 09:33:18 +0200 (CEST)
Received: by tiger.home (Postfix, from userid 1000)
 id D6F1711799D; Sun,  4 Sep 2022 09:33:17 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <877d2kz7lt.fsf@HIDDEN> <83ler0mjat.fsf@HIDDEN>
 <8735d8z05w.fsf@HIDDEN> <83bkrvn355.fsf@HIDDEN>
 <87czcb1wgb.fsf@HIDDEN> <83wnajljd7.fsf@HIDDEN>
X-Yow: I will SHAVE and buy JELL-O and bring my MARRIAGE MANUAL!!
Date: Sun, 04 Sep 2022 09:33:17 +0200
In-Reply-To: <83wnajljd7.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 04 Sep
 2022 09:54:44 +0300")
Message-ID: <871qsr1tmq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Sep 04 2022, Eli Zaretskii wrote:

> Because it uses Latin-3, as it should.

Nope, it should use UTF-8.

> If you know of any authoritative source of such information, please
> point me to it.

(locale-info 'codeset)

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 4 Sep 2022 07:21:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 03:21:13 2022
Received: from localhost ([127.0.0.1]:43369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUjwO-0001gP-Oa
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 03:21:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oUjwM-0001gB-DY
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 03:21:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55282)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUjwG-0002Sn-Kq; Sun, 04 Sep 2022 03:21:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=985yU2P2y1wN7yKzyszg/hBGCDtIuPzGljnOPR1LfHI=; b=nF0THCqYMR+W
 FgLOnD+hRd87luck1E0ezR8Pt+gz2DwBFnbLBC/cfhz4Yqlmb3XJmUapfcu9VYf3EKrKi5oL1/EDJ
 9Epjpl0SMUOy7U57F83C6yhCyAYqYMIAf5RTiMzDB3N3kBOtOBmXXu1wQXZF2+ftN3NnyEFgcvndu
 xwX0ZPD6hJbrhDsXJpus06yd/HdDM5gDdSLKmUltMaaK4Q9j7r8s1LIMEu3htvGQYiPMWrY/F5Y9u
 vShgKZajXVzy/tayuefUEIZ5pPq1KMzAzE2EJ7xQnxWF6BADNZ2d0HQ2wDMv1X01YH5zweLy2kwEH
 7c8sn9zULsBTxrd9CI/qjQ==;
Received: from [87.69.77.57] (port=2557 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUjwG-0003j0-3X; Sun, 04 Sep 2022 03:21:04 -0400
Date: Sun, 04 Sep 2022 10:20:39 +0300
Message-Id: <83v8q3li60.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-Reply-To: <875yi31v17.fsf@HIDDEN> (message from Andreas Schwab on
 Sun, 04 Sep 2022 09:03:00 +0200)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
 <875yi31v17.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andreas Schwab <schwab@HIDDEN>
> Cc: Jonathan Reeve <jonathan@HIDDEN>,  57531 <at> debbugs.gnu.org
> Date: Sun, 04 Sep 2022 09:03:00 +0200
> 
> On Sep 04 2022, Eli Zaretskii wrote:
> 
> > If you can show me some authoritative source of information about this
> > locale
> 
> (locale-info 'codeset)

If you mean that set-locale-environment should use that, please say
that explicitly.  And then feel free to suggest a patch that does TRT
with all the convoluted logic and preferences there, so that we don't
disrupt the setup it took us decades to come up to, for the benefit of
a single obscure locale.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 4 Sep 2022 07:03:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 03:03:05 2022
Received: from localhost ([127.0.0.1]:43351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUjer-0001Fu-Kj
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 03:03:05 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:60686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1oUjep-0001Fk-5z
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 03:03:04 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4ML2fZ0Cy8z1r0PY;
 Sun,  4 Sep 2022 09:03:01 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4ML2fY5jm8z1qqkC;
 Sun,  4 Sep 2022 09:03:01 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id bYyjd0MnzlvW; Sun,  4 Sep 2022 09:03:01 +0200 (CEST)
X-Auth-Info: dS0XzPzU09jXcH3cn+rlEeJrwrV2IyXONVR1phbHizpmxMwnmUQHn9BWEMJvFZD4
Received: from tiger.home (ppp-46-244-171-214.dynamic.mnet-online.de
 [46.244.171.214])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun,  4 Sep 2022 09:03:01 +0200 (CEST)
Received: by tiger.home (Postfix, from userid 1000)
 id 8FC34117985; Sun,  4 Sep 2022 09:03:00 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN> <831qsrn1im.fsf@HIDDEN>
X-Yow: Then, it's off to RED CHINA!!
Date: Sun, 04 Sep 2022 09:03:00 +0200
In-Reply-To: <831qsrn1im.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 04 Sep
 2022 08:37:21 +0300")
Message-ID: <875yi31v17.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 57531
Cc: Jonathan Reeve <jonathan@HIDDEN>, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Sep 04 2022, Eli Zaretskii wrote:

> If you can show me some authoritative source of information about this
> locale

(locale-info 'codeset)

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 4 Sep 2022 06:55:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 02:55:49 2022
Received: from localhost ([127.0.0.1]:43343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUjXp-00013m-Bi
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 02:55:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oUjXo-00013b-7r
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 02:55:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56254)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUjXi-0007Wl-Co; Sun, 04 Sep 2022 02:55:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=z0OuV/CwM8GPyh9sO1+f8Ii0x19fYHTOAlS/iFonn44=; b=GHJyISVik3Nr
 iQnXMPc7oHPAoLy4UfbV8c76JTwGE98S8Uq8mbjzdjFfBf3dsKfLN3I3/Y9nLGjXk0k4csJ8f7gKe
 +CdfgbR0qwK2wmTyjv5kdddw7T6zBckvXAkXob+HGSF5IvAgGwYa7yuNiGRZSuYgKCFwlpeaHE/fD
 OrqRRkH30SI1Mxie31ERluN9nN8UMO1rQH5pZG6xIrqOTcOsfX2EU5R2LVrYkvKLx+aIJ5FvjM7n4
 4Yuw/6t+lrYE2y5qGOCqwn17P1t3ZgtDh63dyyZyNIie0xdGlQQX+74xRa0C0bHNoz8ir555vYq2U
 Y5J0Mxvm9r/lvDDSKaKV+w==;
Received: from [87.69.77.57] (port=4956 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUjXB-00045n-AZ; Sun, 04 Sep 2022 02:55:18 -0400
Date: Sun, 04 Sep 2022 09:54:44 +0300
Message-Id: <83wnajljd7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-Reply-To: <87czcb1wgb.fsf@HIDDEN> (message from Andreas Schwab on
 Sun, 04 Sep 2022 08:32:20 +0200)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <877d2kz7lt.fsf@HIDDEN> <83ler0mjat.fsf@HIDDEN>
 <8735d8z05w.fsf@HIDDEN> <83bkrvn355.fsf@HIDDEN>
 <87czcb1wgb.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andreas Schwab <schwab@HIDDEN>
> Cc: jonathan@HIDDEN,  57531 <at> debbugs.gnu.org
> Date: Sun, 04 Sep 2022 08:32:20 +0200
> 
> On Sep 04 2022, Eli Zaretskii wrote:
> 
> >> From: Andreas Schwab <schwab@HIDDEN>
> >> Cc: jonathan@HIDDEN,  57531 <at> debbugs.gnu.org
> >> Date: Sat, 03 Sep 2022 22:13:31 +0200
> >> 
> >> On Sep 03 2022, Eli Zaretskii wrote:
> >> 
> >> >> From: Andreas Schwab <schwab@HIDDEN>
> >> >> Cc: Jonathan Reeve <jonathan@HIDDEN>,  57531 <at> debbugs.gnu.org
> >> >> Date: Sat, 03 Sep 2022 19:32:46 +0200
> >> >> 
> >> >> On Sep 03 2022, Eli Zaretskii wrote:
> >> >> 
> >> >> > Emacs cannot know the system character set unless the system tells
> >> >> > that.  The way to tell that is via the locale's codeset.
> >> >> 
> >> >> (locale-info 'codeset)
> >> >
> >> > We already use that.
> >> 
> >> Why doesn't it work then?
> >
> > It does work.
> 
> If it would work then Emacs would use UTF-8, but it doesn't.

Because it uses Latin-3, as it should.

As already explained, I see absolutely no convincing evidence anywhere
that Esperanto should prefer UTF-8 by default.  If you know of any
authoritative source of such information, please point me to it.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 4 Sep 2022 06:32:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 02:32:26 2022
Received: from localhost ([127.0.0.1]:43324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUjBB-0000TR-Ni
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 02:32:26 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:44146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1oUjB9-0000TF-ED
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 02:32:24 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4ML1zB28M7z1s7tD;
 Sun,  4 Sep 2022 08:32:21 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4ML1z96Kjpz1qqkC;
 Sun,  4 Sep 2022 08:32:21 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id 1jBo2ab4RG2O; Sun,  4 Sep 2022 08:32:21 +0200 (CEST)
X-Auth-Info: 7Vr/P5bYm3ybEw2vrBOKwGx1iA2/r5LC8TfLcOv3/TNFHAT9PLvyQv/L/l0YxgV/
Received: from tiger.home (ppp-46-244-171-214.dynamic.mnet-online.de
 [46.244.171.214])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun,  4 Sep 2022 08:32:20 +0200 (CEST)
Received: by tiger.home (Postfix, from userid 1000)
 id 38E5F11796B; Sun,  4 Sep 2022 08:32:20 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <877d2kz7lt.fsf@HIDDEN> <83ler0mjat.fsf@HIDDEN>
 <8735d8z05w.fsf@HIDDEN> <83bkrvn355.fsf@HIDDEN>
X-Yow: There's a SALE on STRETCH SOCKS down at the "7-11"!!
Date: Sun, 04 Sep 2022 08:32:20 +0200
In-Reply-To: <83bkrvn355.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 04 Sep
 2022 08:02:14 +0300")
Message-ID: <87czcb1wgb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Sep 04 2022, Eli Zaretskii wrote:

>> From: Andreas Schwab <schwab@HIDDEN>
>> Cc: jonathan@HIDDEN,  57531 <at> debbugs.gnu.org
>> Date: Sat, 03 Sep 2022 22:13:31 +0200
>> 
>> On Sep 03 2022, Eli Zaretskii wrote:
>> 
>> >> From: Andreas Schwab <schwab@HIDDEN>
>> >> Cc: Jonathan Reeve <jonathan@HIDDEN>,  57531 <at> debbugs.gnu.org
>> >> Date: Sat, 03 Sep 2022 19:32:46 +0200
>> >> 
>> >> On Sep 03 2022, Eli Zaretskii wrote:
>> >> 
>> >> > Emacs cannot know the system character set unless the system tells
>> >> > that.  The way to tell that is via the locale's codeset.
>> >> 
>> >> (locale-info 'codeset)
>> >
>> > We already use that.
>> 
>> Why doesn't it work then?
>
> It does work.

If it would work then Emacs would use UTF-8, but it doesn't.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 4 Sep 2022 05:37:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 01:37:53 2022
Received: from localhost ([127.0.0.1]:43286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUiKP-0007Jw-3S
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 01:37:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47938)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oUiKN-0007Ji-AC
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 01:37:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38968)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUiKH-0005wc-Qy; Sun, 04 Sep 2022 01:37:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=9rHGBOLU41XuPItaU35VmfD5ZAwRsRNFddr+GfbphCY=; b=pg9UZZmrB0gHTLglhnn0
 T2ay0LZ5V0/ZJKG4On6Pi7r+hd2oUDKKEL9yAuCJMY0RDeIL6Jkt5bZNh2PDgDpdWGylUCMXKaT31
 otETPhq9fovNqB44PdcumWDRbroronHpF4gEFazt9m7U9FtEh/I57olCJ+J018+4i2+rOmIkgujUd
 JeeYdVqNRy581k/R2rIkzM6dgwhFuIYXN4g3rnP12315sO5sIp/miwIKDGnzfC+dLJ4k5+5mdj3gs
 oKBadxzf6XBP00CQcXyt82lqGn1fVv2WqX20uBwIOVW9yPqHEZterwaT9rE8vb2E8G2ILp5NjWkdo
 d+tSl07947tcSA==;
Received: from [87.69.77.57] (port=4184 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUiKH-0002nP-4g; Sun, 04 Sep 2022 01:37:45 -0400
Date: Sun, 04 Sep 2022 08:37:21 +0300
Message-Id: <831qsrn1im.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonathan Reeve <jonathan@HIDDEN>
In-Reply-To: <875yi4p6se.fsf@HIDDEN> (message from Jonathan Reeve on
 Sat, 03 Sep 2022 20:00:41 +0000)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <875yi4p6se.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 03 Sep 2022 20:00:41 +0000
> From: Jonathan Reeve <jonathan@HIDDEN>
> Cc: 57531 <at> debbugs.gnu.org
> 
> > I believe this is due to the fact that the text was saved in UTF-8,
> > and Emacs was trying to decode it as if it were in Latin-3.
> 
> That’s the problem. Emacs should decode UTF-8 as UTF-8, not Latin-3.

It tries, but it isn't always 100% successful.

> > Using the prefer-coding-system customization should fix that.
> 
> The user shouldn’t have to customize an encoding system to have a UTF-8 locale be interpreted as UTF-8. A UTF-8 locale should be encoded as such, without needing to be told otherwise.

Ideally, I agree.  But in practice, we've found that goal unreachable
in some cases.

> > I disagree.  I think your system doesn’t tell Emacs enough to guess
> > correctly.
> 
> It does, though. The locale data is already there, which is why I only have this problem in Emacs, and nowhere else on my whole system. The problem is in this line from `locale-language-names'. Here’s what it says:
> 
> `("eo" . "Esperanto")'
> 
> Here’s what it should say:
> 
> `("eo" "Esperanto" utf-8)'

That's only correct for glibc systems, though, as I already explained.
I found no authoritative place on the Internet which would mandate
that the Esperanto locale should use or prefer UTF-8 as its encoding.
Once again, glibc is just one C library on just one OS.

If you can show me some authoritative source of information about this
locale which says it should use UTF-8, that could be a reason good
enough to make such an incompatible change.  And we need good reasons
for such incompatible changes, because some users out there could have
configurations or applications that depend on previous behavior.

> The system says that it’s a UTF-8 locale.

How does it say so?

> > Please try the solution I proposed, and if it doesn’t work, let’s see
> > what else is needed.  If you keep insisting on defaulting Esperanto to
> > UTF-8, I see now way to make any progress here.
> 
> You’re not proposing a solution, you’re proposing a workaround.

Would you please try it nonetheless?

> There’s no reason at all why Esperanto should be encoded in latin-3. It never has been, as far as I can tell, and it never well be, in latin-3, with the eo locale. If you can find any good reason why it should be in latin-3, I’m all ears, but as far as I can tell, this is a mistake.

No, it isn't a mistake.  Latin-3 was introduced to cover Esperanto
(and some other languages).  That's why the Emacs Esperanto locale
was configured to use it.  It wasn't a random choice.

> Please keep in mind that /I’m trying to help improve emacs,/

Please keep in mind that so am I.  For many years, as a matter of
fact.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 4 Sep 2022 05:02:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 04 01:02:47 2022
Received: from localhost ([127.0.0.1]:43264 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUhmR-0006GS-0J
	for submit <at> debbugs.gnu.org; Sun, 04 Sep 2022 01:02:47 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oUhmP-0006GF-9Y
 for 57531 <at> debbugs.gnu.org; Sun, 04 Sep 2022 01:02:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54608)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUhmJ-0001BE-Oe; Sun, 04 Sep 2022 01:02:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=iQNYXLsAiTcGTAl5jRBoFLj4IsmQbR/NEXJ5T4NcgI4=; b=B9DRv/Ehcz41
 CyB/3UyG/ApUkmhyt3Rt3fpEp7HjIXv5eHlEPG+GZX84VBLPmiGH+s2AEIyaj0Ij9X965F+8j1v8z
 zq2J2bUE52K1jAvw6LTfrTVOXNscC1hxRk7lXcgc/H+Sc/YQzvfjrFSjSf+0txYbFMl0ppYLLaiJ0
 UhDhOzGHJYXK3DEXHtdoEIV2O7EBTpza5TjZ8/JbDxHcG3UhJXUYvWSafugQT7MVFXi2Y6dUKfetu
 y59W2WQ07gZIeDnB0SFhR2K7N/QZLFkzaxlh13UFJsK6UW9Z1vE060fo9Zmp1T3ysf1To0abB/ThM
 4Atr0xQ32KGf9kR8HG+WNA==;
Received: from [87.69.77.57] (port=2040 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUhmJ-00087G-7m; Sun, 04 Sep 2022 01:02:39 -0400
Date: Sun, 04 Sep 2022 08:02:14 +0300
Message-Id: <83bkrvn355.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-Reply-To: <8735d8z05w.fsf@HIDDEN> (message from Andreas Schwab on Sat,
 03 Sep 2022 22:13:31 +0200)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <877d2kz7lt.fsf@HIDDEN> <83ler0mjat.fsf@HIDDEN> <8735d8z05w.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andreas Schwab <schwab@HIDDEN>
> Cc: jonathan@HIDDEN,  57531 <at> debbugs.gnu.org
> Date: Sat, 03 Sep 2022 22:13:31 +0200
> 
> On Sep 03 2022, Eli Zaretskii wrote:
> 
> >> From: Andreas Schwab <schwab@HIDDEN>
> >> Cc: Jonathan Reeve <jonathan@HIDDEN>,  57531 <at> debbugs.gnu.org
> >> Date: Sat, 03 Sep 2022 19:32:46 +0200
> >> 
> >> On Sep 03 2022, Eli Zaretskii wrote:
> >> 
> >> > Emacs cannot know the system character set unless the system tells
> >> > that.  The way to tell that is via the locale's codeset.
> >> 
> >> (locale-info 'codeset)
> >
> > We already use that.
> 
> Why doesn't it work then?

It does work.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 3 Sep 2022 20:13:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 03 16:13:36 2022
Received: from localhost ([127.0.0.1]:43119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUZWK-0001FE-EB
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 16:13:36 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:42877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1oUZWI-0001F5-Bx
 for 57531 <at> debbugs.gnu.org; Sat, 03 Sep 2022 16:13:35 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4MKmF909Dqz1qy4Y;
 Sat,  3 Sep 2022 22:13:32 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4MKmF86K5Rz1qqkC;
 Sat,  3 Sep 2022 22:13:32 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id jg4aR1wb7U9C; Sat,  3 Sep 2022 22:13:32 +0200 (CEST)
X-Auth-Info: y9sjjjyQrmzAsMeQbf9r7pZDotduSUW2PrSfI3UN0LflK48/GstDgxvgGbFXWDNS
Received: from igel.home (ppp-46-244-163-232.dynamic.mnet-online.de
 [46.244.163.232])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sat,  3 Sep 2022 22:13:32 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 86E192C3A6D; Sat,  3 Sep 2022 22:13:31 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <877d2kz7lt.fsf@HIDDEN> <83ler0mjat.fsf@HIDDEN>
X-Yow: We have DIFFERENT amounts of HAIR --
Date: Sat, 03 Sep 2022 22:13:31 +0200
In-Reply-To: <83ler0mjat.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 03 Sep
 2022 20:58:34 +0300")
Message-ID: <8735d8z05w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Sep 03 2022, Eli Zaretskii wrote:

>> From: Andreas Schwab <schwab@HIDDEN>
>> Cc: Jonathan Reeve <jonathan@HIDDEN>,  57531 <at> debbugs.gnu.org
>> Date: Sat, 03 Sep 2022 19:32:46 +0200
>> 
>> On Sep 03 2022, Eli Zaretskii wrote:
>> 
>> > Emacs cannot know the system character set unless the system tells
>> > that.  The way to tell that is via the locale's codeset.
>> 
>> (locale-info 'codeset)
>
> We already use that.

Why doesn't it work then?

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 3 Sep 2022 20:00:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 03 16:00:53 2022
Received: from localhost ([127.0.0.1]:43110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUZK1-0000xW-8n
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 16:00:53 -0400
Received: from mail-4317.proton.ch ([185.70.43.17]:48443)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan@HIDDEN>) id 1oUZJz-0000xH-I4
 for 57531 <at> debbugs.gnu.org; Sat, 03 Sep 2022 16:00:52 -0400
Date: Sat, 03 Sep 2022 20:00:41 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jonreeve.com;
 s=protonmail3; t=1662235244; x=1662494444;
 bh=+qZk5hzpUKPdJnehzWoyNSb8yc9WFVDV+lYbvG06HTc=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:Feedback-ID:From:To:Cc:Date:Subject:Reply-To:
 Feedback-ID:Message-ID;
 b=dhTNQqk2nqE3Wk7fh2FqgCmOQ3brwpLdHojfm8v60d8Am5MFX+PhTVcXgzNHVthUy
 bRG6Er3dQMW52Ob/PA+q8QWBwotLGk2WdB2t+Ln10Z39bJWKBKsAUf2Eo+H50XMKlv
 ltzj8B+5gGzam4N5OECjxj0LLzydiQxWyxyMD8lLDk1JtZS0ZF4g4mGRNgXcw6Nl3p
 6mgFJpHmUiGKFqLUe4u5cPHM3D+sAt49cu/W2tWmpgfmUmPeRGcMFTZk3c6D+muwOm
 q2LIFNHumUx1eCLQHaTiiMuBjO1A9q6enPKVQ8pd/jVAexOOnmjJ0WSw5Ka2TzCMiq
 0LMHyM3taBANQ==
To: Eli Zaretskii <eliz@HIDDEN>
From: Jonathan Reeve <jonathan@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
Message-ID: <875yi4p6se.fsf@HIDDEN>
In-Reply-To: <83o7vwmlet.fsf@HIDDEN>
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
Feedback-ID: 35010347:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57531
Cc: 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Jonathan Reeve <jonathan@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I believe this is due to the fact that the text was saved in UTF-8,
> and Emacs was trying to decode it as if it were in Latin-3.

That=E2=80=99s the problem. Emacs should decode UTF-8 as UTF-8, not Latin-3=
. The fact that it assumes a UTF-8 locale is in fact a Latin-3 locale, with=
out any reasoning for that, is a problem.

> Using the prefer-coding-system customization should fix that.

The user shouldn=E2=80=99t have to customize an encoding system to have a U=
TF-8 locale be interpreted as UTF-8. A UTF-8 locale should be encoded as su=
ch, without needing to be told otherwise.

> I disagree.  I think your system doesn=E2=80=99t tell Emacs enough to gue=
ss
> correctly.

It does, though. The locale data is already there, which is why I only have=
 this problem in Emacs, and nowhere else on my whole system. The problem is=
 in this line from `locale-language-names'. Here=E2=80=99s what it says:

`("eo" . "Esperanto")'

Here=E2=80=99s what it should say:

`("eo" "Esperanto" utf-8)'

> There=E2=80=99s no evidence of =E2=80=9Ceo=E2=80=9D being a UTF-8 locale,=
 except what we see
> in glibc.  Which is just one library on just one OS.

The evidence is everywhere, in fact, across my whole system, and every othe=
r system I=E2=80=99ve used. And glibc is not just one library on one OS: it=
=E2=80=99s the reference data for locales across any UNIX-like or POSIX sys=
tem.

Show me any other library on any other OS that has locale data that suggest=
s that =E2=80=9Ceo=E2=80=9D is anything other than UTF-8. In particular, sh=
ow me a library that shows that the eo locale should be encoded as latin-3.

> Emacs cannot know the system character set unless the system tells
> that.  The way to tell that is via the locale=E2=80=99s codeset.  If that=
 is
> impossible, the next best is for you to tell that to Emacs in your
> init file.  I don=E2=80=99t understand why you insist on not using the
> solution I proposed.

The system says that it=E2=80=99s a UTF-8 locale. It=E2=80=99s interpreted =
as a UTF-8 locale by every other program except for emacs. It=E2=80=99s onl=
y emacs that incorrectly assumes latin-3, and for no reason, as far as I ca=
n tell. That=E2=80=99s because it=E2=80=99s getting its locale/encoding inf=
ormation from `locale-language-names', which is incorrect, or at least inco=
mplete.

> Please try the solution I proposed, and if it doesn=E2=80=99t work, let=
=E2=80=99s see
> what else is needed.  If you keep insisting on defaulting Esperanto to
> UTF-8, I see now way to make any progress here.

You=E2=80=99re not proposing a solution, you=E2=80=99re proposing a workaro=
und. Any other user with the =E2=80=9Ceo=E2=80=9D locale will have this sam=
e problem, and they shouldn=E2=80=99t be expected to find this email thread=
, in order to find a special hack to have their system work as expected.

There=E2=80=99s no reason at all why Esperanto should be encoded in latin-3=
. It never has been, as far as I can tell, and it never well be, in latin-3=
, with the eo locale. If you can find any good reason why it should be in l=
atin-3, I=E2=80=99m all ears, but as far as I can tell, this is a mistake.

Please keep in mind that /I=E2=80=99m trying to help improve emacs,/ by sub=
mitting a bug report about behavior in emacs that is incorrect and potentia=
lly causing problems for many users. Language like =E2=80=9CI see now way t=
o make any progress here=E2=80=9D doesn=E2=80=99t extend any courtesy, any =
effort towards understanding this problem, or even any effort towards givin=
g it the benefit of the doubt. It makes the bug reporting process unnecessa=
rily adversarial, and, quite frankly, feels unprofessional.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 3 Sep 2022 17:59:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 03 13:59:09 2022
Received: from localhost ([127.0.0.1]:42968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUXQD-0006HZ-9c
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 13:59:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54160)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oUXQC-0006HO-0K
 for 57531 <at> debbugs.gnu.org; Sat, 03 Sep 2022 13:59:08 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35090)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUXQ5-0002Co-Th; Sat, 03 Sep 2022 13:59:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=HUf9uem5FjMOM7Tp3GgQamcDL3pONHygJZzoGdmTQpU=; b=cYU+Bo4KR37L
 N7WEMgG51IMPNlOtHM2uVbFwV3gohbvpTdnBsdE+XdzIodlaKomU4S1MlnW2ZNh95vfyrXZtX+JrC
 mrUDPQ8Qg1CAqYmF4GpsfXaKekkcF3MPxd90B1vjb4pH9vd/nxPv/VBufsMXcBjY3Ygz5MUYQ6Rbi
 tBF6IvmDqn8RYTnefkG80snp00NvvM208xPHyy7A1e3VsGJ40vjA4ZR11SAfbYUDJQyLOkS7gLF1O
 ad5CcGhxIO7RgCFgejHYuvBQPZIquVUgIhbGyI5HsgiNO2q4JgiEXeqRfNPIBCv49BI8ewGAtPLdG
 wMtkIjecl+MeACVQarapkQ==;
Received: from [87.69.77.57] (port=1409 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUXQ5-0005wE-7b; Sat, 03 Sep 2022 13:59:01 -0400
Date: Sat, 03 Sep 2022 20:58:34 +0300
Message-Id: <83ler0mjat.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
In-Reply-To: <877d2kz7lt.fsf@HIDDEN> (message from Andreas Schwab on Sat,
 03 Sep 2022 19:32:46 +0200)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
 <877d2kz7lt.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: jonathan@HIDDEN, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andreas Schwab <schwab@HIDDEN>
> Cc: Jonathan Reeve <jonathan@HIDDEN>,  57531 <at> debbugs.gnu.org
> Date: Sat, 03 Sep 2022 19:32:46 +0200
> 
> On Sep 03 2022, Eli Zaretskii wrote:
> 
> > Emacs cannot know the system character set unless the system tells
> > that.  The way to tell that is via the locale's codeset.
> 
> (locale-info 'codeset)

We already use that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 3 Sep 2022 17:32:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 03 13:32:51 2022
Received: from localhost ([127.0.0.1]:42944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUX0l-0005cJ-Gq
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 13:32:51 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:36162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1oUX0j-0005c8-Pi
 for 57531 <at> debbugs.gnu.org; Sat, 03 Sep 2022 13:32:50 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4MKhgh3YD7z1s7sq;
 Sat,  3 Sep 2022 19:32:48 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4MKhgh0b8Yz1qqkC;
 Sat,  3 Sep 2022 19:32:48 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id uZbSed8j4S81; Sat,  3 Sep 2022 19:32:47 +0200 (CEST)
X-Auth-Info: JO0B/VmrWEUWM+Hk7L9kEE4gHgPCd5tWzL5U+0wzHCstcEKIxG5CDa1Mbf4YdrYX
Received: from igel.home (ppp-46-244-186-195.dynamic.mnet-online.de
 [46.244.186.195])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sat,  3 Sep 2022 19:32:47 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id BC9252C39D3; Sat,  3 Sep 2022 19:32:46 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN> <83o7vwmlet.fsf@HIDDEN>
X-Yow: Here is my refrigerator full of FLANK STEAK...and over there is my
 UPHOLSTERED CANOE...I don't know WHY I OWN them!!
Date: Sat, 03 Sep 2022 19:32:46 +0200
In-Reply-To: <83o7vwmlet.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 03 Sep
 2022 20:12:58 +0300")
Message-ID: <877d2kz7lt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 57531
Cc: Jonathan Reeve <jonathan@HIDDEN>, 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Sep 03 2022, Eli Zaretskii wrote:

> Emacs cannot know the system character set unless the system tells
> that.  The way to tell that is via the locale's codeset.

(locale-info 'codeset)

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 3 Sep 2022 17:13:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 03 13:13:32 2022
Received: from localhost ([127.0.0.1]:42918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUWi4-00057k-2T
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 13:13:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oUWi2-00057X-Dx
 for 57531 <at> debbugs.gnu.org; Sat, 03 Sep 2022 13:13:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59636)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUWhx-0001E7-5H; Sat, 03 Sep 2022 13:13:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=p3+LqPhMC7O89W8i12jiaELQ4lwvYzEpWb/fGsmmf9w=; b=TH6M5vMlU04clpWcfbA4
 aVMHktpuKR2rditpA0Z9I1ibQ9OQCLbmYZBTgDJzMEnyZKVdPIDq8P/kYrqNTl8gjK76y/cK7b2JA
 U39Z8B4jrdamyXitnlTU5YVgYxyQPdGH63eK1+AkqoxzkM5YCjI0Xioww9Drj5tuztkM2iLcoS8BQ
 4LVc0nN97w1fP+I7i2oBTCin6dd5npuAtcqub/ONGQaXyrpusuDNxEm8YpMiIlDOyj+/vrw3/RsAd
 huRw3jL0uQf4lI7F+FReEPQsWRKEQbjfFdi0hGkOjQSBCj9Sga/HJzCB4D77qKpNHVLMyHp8M4+8g
 Ff7EZQMkPAG+JQ==;
Received: from [87.69.77.57] (port=2612 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUWhw-0008A9-Fo; Sat, 03 Sep 2022 13:13:24 -0400
Date: Sat, 03 Sep 2022 20:12:58 +0300
Message-Id: <83o7vwmlet.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonathan Reeve <jonathan@HIDDEN>
In-Reply-To: <877d2kpfe1.fsf@HIDDEN> (message from Jonathan Reeve on
 Sat, 03 Sep 2022 16:54:52 +0000)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
 <877d2kpfe1.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 03 Sep 2022 16:54:52 +0000
> From: Jonathan Reeve <jonathan@HIDDEN>
> Cc: 57531 <at> debbugs.gnu.org
> 
> > The characters in that post are supported by Latin-3, and I had no
> > problem saving them.
> 
> It’s not about saving them, it’s about how they’re displayed.

I believe this is due to the fact that the text was saved in UTF-8,
and Emacs was trying to decode it as if it were in Latin-3.

Using the prefer-coding-system customization should fix that.

> If the rest of my system correctly uses unicode for the `eo' locale, /because it’s a unicode locale,/ but emacs is the only one that guesses it should be Latin-3 instead (for no reason that I can find), then it’s emacs which incorrectly handling this locale.

I disagree.  I think your system doesn't tell Emacs enough to guess
correctly.

> > That’s okay, but then all you need to say in Emacs is
> >
> >   (prefer-coding-system ’utf-8)
> 
> If emacs were really following system settings, it would set the encoding to utf-8 without needing extra customization from the user, since `eo' is a UTF-8 locale.

There's no evidence of "eo" being a UTF-8 locale, except what we see
in glibc.  Which is just one library on just one OS.

> And incidentally, there’s no such locale as `eo.utf-8', from what I can tell.

OK.  I didn't say there were, I just assumed there could be.

> > I don’t know why glibc did that, and glibc-supported systems are not
> > the only ones where we want to support Esperanto.  So if the above
> > simple customization fixes your problem, I’d prefer not changing the
> > default for everyone.
> 
> It’s not about changing the default for everyone, it’s about fixing an incorrect character encoding, making it so that emacs correctly respects the locale’s character set.

Emacs cannot know the system character set unless the system tells
that.  The way to tell that is via the locale's codeset.  If that is
impossible, the next best is for you to tell that to Emacs in your
init file.  I don't understand why you insist on not using the
solution I proposed.

Please try the solution I proposed, and if it doesn't work, let's see
what else is needed.  If you keep insisting on defaulting Esperanto to
UTF-8, I see now way to make any progress here.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 3 Sep 2022 16:55:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 03 12:55:06 2022
Received: from localhost ([127.0.0.1]:42830 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUWQE-0004Zt-G6
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 12:55:06 -0400
Received: from mail-40136.proton.ch ([185.70.40.136]:41751)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan@HIDDEN>) id 1oUWQD-0004ZK-Gv
 for 57531 <at> debbugs.gnu.org; Sat, 03 Sep 2022 12:55:05 -0400
Date: Sat, 03 Sep 2022 16:54:52 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jonreeve.com;
 s=protonmail3; t=1662224098; x=1662483298;
 bh=0k22Hy2GGG+L483ucUZQkAGrYqRp3JWiiDb6yCssa4Y=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:Feedback-ID:From:To:Cc:Date:Subject:Reply-To:
 Feedback-ID:Message-ID;
 b=ihfVvPi4SP3vSfK6KFP1H8Uegqe82NtD8cOiiMBOAcEqCenYvSE1l3BmXwfkB7y6b
 2io3Y50Or4csxev5ciy0cSGvOIuclNN4Ln9rOwK0o4a0YzCsEAFZRKXAsGBs31RBNs
 wkm4fv9vruT3WX3IiAYZlDG6kPyTWuuIZeRLt74/FPasSCHtwXv4t5qPmoUveSN2ak
 wTICwGt/FgPEC6aLQXO29PtyWplFrZ3G1Sd9FYcOkOWm1GAV7ZmOw+LLtLJ5+wmrdV
 8zcSdNsMOyBZrWfjNatVXYaPDIMYu3H1fcSkchPE9MqzpS6o2ulQy8+P9LgTGg5ZTQ
 KHE0gQFxb3jiQ==
To: Eli Zaretskii <eliz@HIDDEN>
From: Jonathan Reeve <jonathan@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
Message-ID: <877d2kpfe1.fsf@HIDDEN>
In-Reply-To: <8335d8o6ow.fsf@HIDDEN>
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN> <8335d8o6ow.fsf@HIDDEN>
Feedback-ID: 35010347:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57531
Cc: 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Jonathan Reeve <jonathan@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> The characters in that post are supported by Latin-3, and I had no
> problem saving them.

It=E2=80=99s not about saving them, it=E2=80=99s about how they=E2=80=99re =
displayed. If the rest of my system correctly uses unicode for the `eo' loc=
ale, /because it=E2=80=99s a unicode locale,/ but emacs is the only one tha=
t guesses it should be Latin-3 instead (for no reason that I can find), the=
n it=E2=80=99s emacs which incorrectly handling this locale.

> That=E2=80=99s okay, but then all you need to say in Emacs is
>
>   (prefer-coding-system =E2=80=99utf-8)

If emacs were really following system settings, it would set the encoding t=
o utf-8 without needing extra customization from the user, since `eo' is a =
UTF-8 locale. And incidentally, there=E2=80=99s no such locale as `eo.utf-8=
', from what I can tell.

> I don=E2=80=99t know why glibc did that, and glibc-supported systems are =
not
> the only ones where we want to support Esperanto.  So if the above
> simple customization fixes your problem, I=E2=80=99d prefer not changing =
the
> default for everyone.

It=E2=80=99s not about changing the default for everyone, it=E2=80=99s abou=
t fixing an incorrect character encoding, making it so that emacs correctly=
 respects the locale=E2=80=99s character set. There=E2=80=99s no reason to =
have the latin-3 character set, except for backwards compatibility, but tha=
t=E2=80=99s irrelevant in the case of Esperanto, since I know of no program=
, document, or anything else that would use latin-3 for Esperanto. Since th=
e locale for Esperanto is a relatively new invention, it doesn=E2=80=99t ha=
ve the same history of legacy character encodings as a language like Englis=
h.

In fact, not even emacs seems to define it as such, judging from this line =
in `locale-language-names': `("eo" . "Esperanto")'. It just seems as if the=
 author of that variable didn=E2=80=99t know what character set to assign, =
and left it blank.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 3 Sep 2022 14:48:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 03 10:48:35 2022
Received: from localhost ([127.0.0.1]:42600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUURn-0005Ll-91
	for submit <at> debbugs.gnu.org; Sat, 03 Sep 2022 10:48:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oUURk-0005LW-D4
 for 57531 <at> debbugs.gnu.org; Sat, 03 Sep 2022 10:48:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36788)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUURe-0001w7-8q; Sat, 03 Sep 2022 10:48:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=HjUOJCCkmGo3rTRy3JARJIsliJYsWomAmJIty8+L4QM=; b=LhNKrSMukOhqG+7JrA77
 EcoJRKz1CfzjBsZjuGLV1VWuF+3t6agbsp6vTDA6cwCM/m5fmuCm/CE6022EVGvNKNLxdlu0ZxloJ
 gZ/s3bcztQQyVDUVQS2FMc5NeQGdI4nCGHXUfdoMqj/tqFE0mSEJ9BWB/oJm17fYZAY0iTNunUVlG
 IeUl5L7L4kLQVuLEnL9rBHmfk7Fvt+3cSODpiuhdH4FsV4rhf3m2t8qqZ4iLTZqANjUBkq2FrULyh
 K7Gl5074MBKhJyIvUhiYC5IBF5IJgDSj2TwbX6k7/lRz3LHagPUfticiNGR3ql4N6WGogvdbnpaLQ
 QrwFVvC9fMo2hg==;
Received: from [87.69.77.57] (port=1660 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oUURd-0007NS-M6; Sat, 03 Sep 2022 10:48:26 -0400
Date: Sat, 03 Sep 2022 17:47:59 +0300
Message-Id: <8335d8o6ow.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonathan Reeve <jonathan@HIDDEN>
In-Reply-To: <878rn1p7oz.fsf@HIDDEN> (message from Jonathan Reeve on
 Sat, 03 Sep 2022 01:28:56 +0000)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
 <878rn1p7oz.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 03 Sep 2022 01:28:56 +0000
> From: Jonathan Reeve <jonathan@HIDDEN>
> Cc: 57531 <at> debbugs.gnu.org
> 
> “Eli Zaretskii” <eliz@HIDDEN> writes:
> 
> > Can you tell what is the default encoding in that case?
> 
> It looks like it’s `iso-latin-3', which is not working, since all my unicode characters get mangled. See [the screenshot in this question of mine on StackExchange.]

The characters in that post are supported by Latin-3, and I had no
problem saving them.

> > If you want the UTF-8 encoding to be the default, why is your locale
> > set to “eo” and not to “eo.UTF-8”?
> 
> There is no eo.UTF-8 locale available to the system, as you can see [from the glibc documentation]. The “eo” locale is actually UTF-8, however. It’s interpreted as such just fine, across my whole system, except for in the emacs terminal, where it gets interpreted as `iso-latin-3'.

That's okay, but then all you need to say in Emacs is

  (prefer-coding-system 'utf-8)

Put that in your init file, and see if your problem with non-ASCII
characters is fixed.

> > Are you saying that the Esperanto locale _must_ use UTF-8?  If so,
> > why?  AFAIK, ISO-8859-3 covers the Esperanto characters, so UTF-8 is
> > not the only possible codeset for Esperanto locales.
> 
> If you look at that glibc document, you’ll see that the “eo” locale is actually UTF-8. Unlike `en_US', which has variants like  `en_US.UTF-8' which is UTF-8 and `en_US' which is ISO-8859-1, there is only `eo/UTF-8', i.e., `eo' which is UTF-8.

I don't know why glibc did that, and glibc-supported systems are not
the only ones where we want to support Esperanto.  So if the above
simple customization fixes your problem, I'd prefer not changing the
default for everyone.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 3 Sep 2022 01:29:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 02 21:29:15 2022
Received: from localhost ([127.0.0.1]:40612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oUHyE-0004oE-RP
	for submit <at> debbugs.gnu.org; Fri, 02 Sep 2022 21:29:15 -0400
Received: from mail-4317.proton.ch ([185.70.43.17]:37941)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan@HIDDEN>) id 1oUHyC-0004ny-Bg
 for 57531 <at> debbugs.gnu.org; Fri, 02 Sep 2022 21:29:13 -0400
Date: Sat, 03 Sep 2022 01:28:56 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jonreeve.com;
 s=protonmail3; t=1662168544; x=1662427744;
 bh=xwbK+IZbe+w11JurjdNaEIBgTLS8YJcNTXx6VBwXE2Y=;
 h=Date:To:From:Cc:Reply-To:Subject:Message-ID:In-Reply-To:
 References:Feedback-ID:From:To:Cc:Date:Subject:Reply-To:
 Feedback-ID:Message-ID;
 b=my3BrggHjtxlxF5q59A3XuGGj88wR5jT+VWo6u9Ev0MAVWXB1QvtRmEDuGLfClR9s
 tEsBOK5xmTzirT8MZsO2Rcl9CSsV//3qXgOtE5Yo/Qqw+fM36e6UIn/bogosRuFCFt
 WxNxW0l/VUofV5b0nLVqXNlFXH1keArnc5+hudiHfPBCwssFlr/OV6TVUgF2P163hF
 hgBn4K06PodRFqsla5jFIdzPE+kHyQ8v2ntI6EP95AmV0w1jjSPdib34+4Eh//6ABQ
 p2nnpkwmlAWdiP5Bh7b1A+Tx7JCFEAAj0V3OdjfoWUg173WBsFfab0D+92BFyScPFO
 ycS8K//dq4SSw==
To: Eli Zaretskii <eliz@HIDDEN>
From: Jonathan Reeve <jonathan@HIDDEN>
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
Message-ID: <878rn1p7oz.fsf@HIDDEN>
In-Reply-To: <83h71qqq5e.fsf@HIDDEN>
References: <87h71r0w5z.fsf@HIDDEN> <83h71qqq5e.fsf@HIDDEN>
Feedback-ID: 35010347:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57531
Cc: 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Jonathan Reeve <jonathan@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E2=80=9CEli Zaretskii=E2=80=9D <eliz@HIDDEN> writes:

> Can you tell what is the default encoding in that case?

It looks like it=E2=80=99s `iso-latin-3', which is not working, since all m=
y unicode characters get mangled. See [the screenshot in this question of m=
ine on StackExchange.]

> If you want the UTF-8 encoding to be the default, why is your locale
> set to =E2=80=9Ceo=E2=80=9D and not to =E2=80=9Ceo.UTF-8=E2=80=9D?

There is no eo.UTF-8 locale available to the system, as you can see [from t=
he glibc documentation]. The =E2=80=9Ceo=E2=80=9D locale is actually UTF-8,=
 however. It=E2=80=99s interpreted as such just fine, across my whole syste=
m, except for in the emacs terminal, where it gets interpreted as `iso-lati=
n-3'.

> Are you saying that the Esperanto locale _must_ use UTF-8?  If so,
> why?  AFAIK, ISO-8859-3 covers the Esperanto characters, so UTF-8 is
> not the only possible codeset for Esperanto locales.

If you look at that glibc document, you=E2=80=99ll see that the =E2=80=
=9Ceo=E2=80=9D locale is actually UTF-8. Unlike `en_US', which has variants=
 like  `en_US.UTF-8' which is UTF-8 and `en_US' which is ISO-8859-1, there =
is only `eo/UTF-8', i.e., `eo' which is UTF-8.


[the screenshot in this question of mine on StackExchange.] <https://emacs.=
stackexchange.com/questions/73393/how-can-i-fix-bad-character-encoding-in-t=
he-terminal-and-other-functions-that-r>

[from the glibc documentation] <https://sourceware.org/git/?p=3Dglibc.git;a=
=3Dblob;f=3Dlocaledata/SUPPORTED>





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57531 <at> debbugs.gnu.org:


Received: (at 57531) by debbugs.gnu.org; 2 Sep 2022 05:52:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 02 01:52:10 2022
Received: from localhost ([127.0.0.1]:44616 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oTzb7-0005wX-Tc
	for submit <at> debbugs.gnu.org; Fri, 02 Sep 2022 01:52:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oTzb4-0005w3-6w
 for 57531 <at> debbugs.gnu.org; Fri, 02 Sep 2022 01:52:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52436)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oTzay-00023w-PK; Fri, 02 Sep 2022 01:52:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Y3kjEsJ34F7RnlGfg2GgTnAAcrnk6mhHSh3RemeDXbc=; b=TAERIhwa93J2
 Uv4KCS/+IREg0Sdv9gkBoRZyCy7opTGPL4PoZGZcqMreYVWbfL2N0fqU5EBSwPL9hRUKroOQrcW0T
 Jd1ruHyJb9rWN/uc8GI8CLFksFUCqQmd4rrpxRf+PNLIz1P5n3FCLbBqu0kVGJ0hyfoc3j0PmQc/p
 zf/ZowkzWGSele1YUtXVbyu18s5isba4JYwu93XPaXS+JeP4GbwRP0UzL5PALN8AUFMG+LkBKhpj+
 cmP4uchl3mEy1/htR6BBawW9IXQNvd0FpkoWXedTHP6rakyNCZKkuJZc77/zDRP7t0b1HyoYyKBVH
 caJj02G0VJIBlRQMVX+30Q==;
Received: from [87.69.77.57] (port=3855 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oTzay-0000KR-5g; Fri, 02 Sep 2022 01:52:00 -0400
Date: Fri, 02 Sep 2022 08:52:29 +0300
Message-Id: <83h71qqq5e.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Jonathan Reeve <jonathan@HIDDEN>
In-Reply-To: <87h71r0w5z.fsf@HIDDEN> (message from Jonathan Reeve on
 Thu, 01 Sep 2022 18:47:10 +0000)
Subject: Re: bug#57531: 28.1; Character encoding missing for "eo"
References: <87h71r0w5z.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57531
Cc: 57531 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 01 Sep 2022 18:47:10 +0000
> From: Jonathan Reeve <jonathan@HIDDEN>
> 
> 
> When my language and locale are set to "eo," (Esperanto), the character
> encoding in Emacs is the wrong character encoding. It should be UTF-8,
> but instead it's something else.

Thank you for your report.

Can you tell what is the default encoding in that case?

> I think the problem is in the =locale-language-names= variable,
> which has these lines:
> 
>     ("en_IN" "English" utf-8) ; glibc uses utf-8 for English in India
>     ("en" "English" iso-8859-1) ; English
>     ("eo" . "Esperanto") ; Esperanto
>     ("es" "Spanish" iso-8859-1)
> 
> The line ("eo" . "Esperanto") should probably instead be ("eo"
> "Esperanto" utf-8).

If you want the UTF-8 encoding to be the default, why is your locale
set to "eo" and not to "eo.UTF-8"?

In general, Emacs prefers taking the locale's codeset from your
system's definitions, to avoid overriding the user's system setup.  It
only applies default encoding when the locale doesn't specify the
codeset, or when a locale can support only a single codeset.

> To test this, set your LANG variable to "eo" and then notice that the
> character encooding (locale-coding-system) is not utf-8, as it should be.

Are you saying that the Esperanto locale _must_ use UTF-8?  If so,
why?  AFAIK, ISO-8859-3 covers the Esperanto characters, so UTF-8 is
not the only possible codeset for Esperanto locales.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Sep 2022 19:33:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 01 15:33:01 2022
Received: from localhost ([127.0.0.1]:44222 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oTpvv-00071I-6r
	for submit <at> debbugs.gnu.org; Thu, 01 Sep 2022 15:33:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:38134)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jonathan@HIDDEN>) id 1oTpDy-0005oR-30
 for submit <at> debbugs.gnu.org; Thu, 01 Sep 2022 14:47:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54688)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jonathan@HIDDEN>)
 id 1oTpDx-0006b5-Rl
 for bug-gnu-emacs@HIDDEN; Thu, 01 Sep 2022 14:47:33 -0400
Received: from mail-4323.proton.ch ([185.70.43.23]:61145)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jonathan@HIDDEN>)
 id 1oTpDr-0005gU-R7
 for bug-gnu-emacs@HIDDEN; Thu, 01 Sep 2022 14:47:33 -0400
Date: Thu, 01 Sep 2022 18:47:10 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=jonreeve.com;
 s=protonmail3; t=1662058041; x=1662317241;
 bh=sjqBOqYbU/YQBe5G5pNa+2rEAFmKNMeK9ThiAzLRaVU=;
 h=Date:To:From:Reply-To:Subject:Message-ID:Feedback-ID:From:To:Cc:
 Date:Subject:Reply-To:Feedback-ID:Message-ID;
 b=liBUCK965/pPWiYXGP2Ef+ZhqLHM7KF0VjhiysAFMEMphzJdMG9Np6Qqo3wyDIQ3o
 vg0T6eCC8hNnbiW6O2Im9gx+teA4LPVJNfrSJ1ALkizK5+IfzQlhCr7qqIwgXfep7t
 O5gzRz6leAJ4tULAAnwXt+qWZJjlwAtibT6KUgOC/ifjQI7zblT3Ka5Lm2fV75ObOd
 FaUF+tQLy0yzEqhSC1WYmn69PrBgTF4oQgOqgyNJVJBj7QJElXJG0D43PWevF1bKnB
 wTwFP9fkU2qWgwCa1txDahkGQkabHK+jC/2ZMJ/RyUf/l95p/ODMvMD8ZDySnTFioi
 lxvubK5ff7TOw==
To: bug-gnu-emacs@HIDDEN
From: Jonathan Reeve <jonathan@HIDDEN>
Subject: 28.1; Character encoding missing for "eo"
Message-ID: <87h71r0w5z.fsf@HIDDEN>
Feedback-ID: 35010347:user:proton
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=185.70.43.23; envelope-from=jonathan@HIDDEN;
 helo=mail-4323.proton.ch
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 01 Sep 2022 15:32:58 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Jonathan Reeve <jonathan@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


When my language and locale are set to "eo," (Esperanto), the character
encoding in Emacs is the wrong character encoding. It should be UTF-8,
but instead it's something else. I think the problem is in the
=3Dlocale-language-names=3D variable, which has these lines:

    ("en_IN" "English" utf-8) ; glibc uses utf-8 for English in India
    ("en" "English" iso-8859-1) ; English
    ("eo" . "Esperanto") ; Esperanto
    ("es" "Spanish" iso-8859-1)

The line ("eo" . "Esperanto") should probably instead be ("eo"
"Esperanto" utf-8).

To test this, set your LANG variable to "eo" and then notice that the
character encooding (locale-coding-system) is not utf-8, as it should be.

-JR




In GNU Emacs 28.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.34, cair=
o version 1.16.0)
Windowing system distributor 'The X.Org Foundation', version 11.0.12201003
System Description: NixOS 22.11 (Raccoon)

Configured using:
 'configure
 --prefix=3D/nix/store/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1
 --disable-build-details --with-modules --with-x-toolkit=3Dgtk3 --with-xft
 --with-cairo --with-native-compilation'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS
X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $EMACSLOADPATH:
  value of $EMACSNATIVELOADPATH: /nix/store/p59mfplm858bb4b2g0hpa7sfmn7fknx=
q-emacs-packages-deps/share/emacs/native-lisp::
  value of $LANG: eo
  locale-coding-system: utf-8-unix

Major mode: Elisp

Minor modes in effect:
  evil-traces-mode: t
  global-anzu-mode: t
  anzu-mode: t
  whitespace-mode: t
  flycheck-popup-tip-mode: t
  global-evil-surround-mode: t
  evil-surround-mode: t
  eros-mode: t
  highlight-quoted-mode: t
  rainbow-delimiters-mode: t
  vi-tilde-fringe-mode: t
  highlight-numbers-mode: t
  display-line-numbers-mode: t
  save-place-mode: t
  global-so-long-mode: t
  envrc-global-mode: t
  envrc-mode: t
  hl-todo-mode: t
  org-roam-bibtex-mode: t
  org-roam-db-autosync-mode: t
  outline-minor-mode: t
  global-git-commit-mode: t
  ranger-override-dired-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  recentf-mode: t
  gcmh-mode: t
  global-hl-line-mode: t
  hl-line-mode: t
  winner-mode: t
  ws-butler-global-mode: t
  ws-butler-mode: t
  global-emojify-mode: t
  emojify-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  projectile-mode: t
  delete-selection-mode: t
  which-key-mode: t
  savehist-mode: t
  better-jumper-mode: t
  better-jumper-local-mode: t
  global-company-mode: t
  company-mode: t
  vertico-mode: t
  all-the-icons-completion-mode: t
  marginalia-mode: t
  evil-goggles-mode: t
  evil-escape-mode: t
  evil-snipe-override-mode: t
  evil-snipe-mode: t
  evil-snipe-override-local-mode: t
  evil-snipe-local-mode: t
  persp-mode: t
  doom-modeline-mode: t
  solaire-global-mode: t
  shell-dirtrack-mode: t
  evil-mode: t
  evil-local-mode: t
  windmove-mode: t
  +popup-mode: t
  override-global-mode: t
  general-override-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  prettify-symbols-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  window-divider-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/jon/.emacs.d/.local/straight/build-28.1/use-package/use-package-core =
hides /home/jon/.emacs.d/.local/straight/repos/use-package/use-package-core
/home/jon/.emacs.d/.local/straight/build-28.1/use-package/use-package-lint =
hides /home/jon/.emacs.d/.local/straight/repos/use-package/use-package-lint
/home/jon/.emacs.d/.local/straight/build-28.1/bind-key/bind-key hides /home=
/jon/.emacs.d/.local/straight/repos/use-package/bind-key
/home/jon/.emacs.d/.local/straight/build-28.1/use-package/use-package-bind-=
key hides /home/jon/.emacs.d/.local/straight/repos/use-package/use-package-=
bind-key
/home/jon/.emacs.d/.local/straight/build-28.1/use-package/use-package hides=
 /home/jon/.emacs.d/.local/straight/repos/use-package/use-package
/home/jon/.emacs.d/.local/straight/build-28.1/use-package/use-package-dimin=
ish hides /home/jon/.emacs.d/.local/straight/repos/use-package/use-package-=
diminish
/home/jon/.emacs.d/.local/straight/build-28.1/use-package/use-package-jump =
hides /home/jon/.emacs.d/.local/straight/repos/use-package/use-package-jump
/home/jon/.emacs.d/.local/straight/build-28.1/use-package/use-package-ensur=
e hides /home/jon/.emacs.d/.local/straight/repos/use-package/use-package-en=
sure
/home/jon/.emacs.d/.local/straight/build-28.1/use-package/use-package-delig=
ht hides /home/jon/.emacs.d/.local/straight/repos/use-package/use-package-d=
elight
/home/jon/.emacs.d/.local/straight/build-28.1/straight/straight hides /home=
/jon/.emacs.d/.local/straight/repos/straight.el/straight
/home/jon/.emacs.d/.local/straight/build-28.1/straight/straight-x hides /ho=
me/jon/.emacs.d/.local/straight/repos/straight.el/straight-x
/home/jon/.emacs.d/.local/straight/build-28.1/straight/straight-ert-print-h=
ack hides /home/jon/.emacs.d/.local/straight/repos/straight.el/straight-ert=
-print-hack
/home/jon/.emacs.d/.local/straight/build-28.1/password-store/password-store=
 hides /run/current-system/sw/share/emacs/site-lisp/password-store
/home/jon/.emacs.d/.local/straight/build-28.1/password-store/password-store=
 hides /etc/profiles/per-user/jon/share/emacs/site-lisp/password-store
/run/current-system/sw/share/emacs/site-lisp/site-start hides /nix/store/p5=
9mfplm858bb4b2g0hpa7sfmn7fknxq-emacs-packages-deps/share/emacs/site-lisp/si=
te-start
/run/current-system/sw/share/emacs/site-lisp/site-start hides /nix/store/c6=
j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/site-lisp/site-start
/home/jon/.emacs.d/.local/straight/repos/straight.el/indent hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/indent
/home/jon/.emacs.d/.local/straight/build-28.1/transient/transient hides /ni=
x/store/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/t=
ransient
/home/jon/.emacs.d/.local/straight/build-28.1/project/project hides /nix/st=
ore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/progm=
odes/project
/home/jon/.emacs.d/.local/straight/build-28.1/xref/xref hides /nix/store/c6=
j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/progmodes/x=
ref
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-perl hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-pe=
rl
/home/jon/.emacs.d/.local/straight/build-28.1/org/ox-publish hides /nix/sto=
re/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ox=
-publish
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol-docview hides /nix/sto=
re/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol=
-docview
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-attach-git hides /nix=
/store/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/or=
g/org-attach-git
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol-rmail hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol-r=
mail
/home/jon/.emacs.d/.local/straight/build-28.1/org/ox-ascii hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ox-a=
scii
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-eshell hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-=
eshell
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-gnuplot hides /nix/sto=
re/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob=
-gnuplot
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-latex hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-l=
atex
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-duration hides /nix/s=
tore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/=
org-duration
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-ref hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-ref
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-fortran hides /nix/sto=
re/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob=
-fortran
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-mobile hides /nix/sto=
re/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/or=
g-mobile
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-awk hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-awk
/home/jon/.emacs.d/.local/straight/build-28.1/org/ox-icalendar hides /nix/s=
tore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/=
ox-icalendar
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-macro hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org=
-macro
/home/jon/.emacs.d/.local/straight/build-28.1/org/oc-csl hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/oc-csl
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-crypt hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org=
-crypt
/home/jon/.emacs.d/.local/straight/build-28.1/org/ox-org hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ox-org
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-scheme hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-=
scheme
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-octave hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-=
octave
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-dot hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-dot
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-archive hides /nix/st=
ore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/o=
rg-archive
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-keys hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org-=
keys
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-sass hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-sa=
ss
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-haskell hides /nix/sto=
re/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob=
-haskell
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-agenda hides /nix/sto=
re/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/or=
g-agenda
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-compat hides /nix/sto=
re/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/or=
g-compat
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-processing hides /nix/=
store/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org=
/ob-processing
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-org hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-org
/home/jon/.emacs.d/.local/straight/build-28.1/org/ox-man hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ox-man
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-core hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-co=
re
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-src hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org-s=
rc
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-lint hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org-=
lint
/home/jon/.emacs.d/.local/straight/build-28.1/org/ox hides /nix/store/c6j5a=
ffvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ox
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-id hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org-id
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol-gnus hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol-gn=
us
/home/jon/.emacs.d/.local/straight/build-28.1/org/ox-texinfo hides /nix/sto=
re/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ox=
-texinfo
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-goto hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org-=
goto
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-pcomplete hides /nix/=
store/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org=
/org-pcomplete
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol-bbdb hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol-bb=
db
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-exp hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-exp
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-julia hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-j=
ulia
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-entities hides /nix/s=
tore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/=
org-entities
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-emacs-lisp hides /nix/=
store/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org=
/ob-emacs-lisp
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-capture hides /nix/st=
ore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/o=
rg-capture
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-version hides /nix/st=
ore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/o=
rg-version
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-clock hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org=
-clock
/home/jon/.emacs.d/.local/straight/build-28.1/org/oc-natbib hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/oc-=
natbib
/home/jon/.emacs.d/.local/straight/build-28.1/org/org hides /nix/store/c6j5=
affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-css hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-css
/home/jon/.emacs.d/.local/straight/build-28.1/org/ox-beamer hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ox-=
beamer
/home/jon/.emacs.d/.local/straight/build-28.1/org/ox-md hides /nix/store/c6=
j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ox-md
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-table hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org=
-table
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol-doi hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol-doi
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob hides /nix/store/c6j5a=
ffvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-ditaa hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-d=
itaa
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-loaddefs hides /nix/s=
tore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/=
org-loaddefs
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-sql hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-sql
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-element hides /nix/st=
ore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/o=
rg-element
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-macs hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org-=
macs
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-lisp hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-li=
sp
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol-man hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol-man
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-tangle hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-=
tangle
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-js hides /nix/store/c6=
j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-js
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-ruby hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-ru=
by
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-ctags hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org=
-ctags
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-R hides /nix/store/c6j=
5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-R
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-clojure hides /nix/sto=
re/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob=
-clojure
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-habit hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org=
-habit
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol-eshell hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol-=
eshell
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-sed hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-sed
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-C hides /nix/store/c6j=
5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-C
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-faces hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org=
-faces
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-list hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org-=
list
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-eval hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-ev=
al
/home/jon/.emacs.d/.local/straight/build-28.1/org/ox-latex hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ox-l=
atex
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-comint hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-=
comint
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol-mhe hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol-mhe
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol-eww hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol-eww
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-plantuml hides /nix/st=
ore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/o=
b-plantuml
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-num hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org-n=
um
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-sqlite hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-=
sqlite
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-feed hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org-=
feed
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol-irc hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol-irc
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-shell hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-s=
hell
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-java hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-ja=
va
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-matlab hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-=
matlab
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-plot hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org-=
plot
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-calc hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-ca=
lc
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-table hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-t=
able
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol-bibtex hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol-=
bibtex
/home/jon/.emacs.d/.local/straight/build-28.1/org/ox-html hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ox-ht=
ml
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-lob hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-lob
/home/jon/.emacs.d/.local/straight/build-28.1/org/oc hides /nix/store/c6j5a=
ffvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/oc
/home/jon/.emacs.d/.local/straight/build-28.1/org/oc-biblatex hides /nix/st=
ore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/o=
c-biblatex
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-attach hides /nix/sto=
re/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/or=
g-attach
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-lilypond hides /nix/st=
ore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/o=
b-lilypond
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-protocol hides /nix/s=
tore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/=
org-protocol
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-mouse hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org=
-mouse
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol hides /nix/store/c6j5a=
ffvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-datetree hides /nix/s=
tore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/=
org-datetree
/home/jon/.emacs.d/.local/straight/build-28.1/org/ox-koma-letter hides /nix=
/store/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/or=
g/ox-koma-letter
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol-w3m hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol-w3m
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-lua hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-lua
/home/jon/.emacs.d/.local/straight/build-28.1/org/ox-odt hides /nix/store/c=
6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ox-odt
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-maxima hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-=
maxima
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-python hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-=
python
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-colview hides /nix/st=
ore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/o=
rg-colview
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-tempo hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org=
-tempo
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-indent hides /nix/sto=
re/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/or=
g-indent
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-forth hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-f=
orth
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-timer hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/org=
-timer
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-ocaml hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-o=
caml
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-groovy hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-=
groovy
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-inlinetask hides /nix=
/store/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/or=
g/org-inlinetask
/home/jon/.emacs.d/.local/straight/build-28.1/org/ol-info hides /nix/store/=
c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ol-in=
fo
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-refile hides /nix/sto=
re/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/or=
g-refile
/home/jon/.emacs.d/.local/straight/build-28.1/org/oc-basic hides /nix/store=
/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/oc-b=
asic
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-screen hides /nix/stor=
e/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/ob-=
screen
/home/jon/.emacs.d/.local/straight/build-28.1/org/org-footnote hides /nix/s=
tore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/=
org-footnote
/home/jon/.emacs.d/.local/straight/build-28.1/org/ob-makefile hides /nix/st=
ore/c6j5affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/org/o=
b-makefile
/nix/store/p59mfplm858bb4b2g0hpa7sfmn7fknxq-emacs-packages-deps/share/emacs=
/site-lisp/elpa/let-alist-1.0.6/let-alist hides /nix/store/c6j5affvi4yf2xvl=
hs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/emacs-lisp/let-alist
/home/jon/.emacs.d/.local/straight/build-28.1/map/map hides /nix/store/c6j5=
affvi4yf2xvlhs60y0cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/emacs-lisp/ma=
p
/nix/store/p59mfplm858bb4b2g0hpa7sfmn7fknxq-emacs-packages-deps/share/emacs=
/site-lisp/elpa/nadvice-0.3/nadvice hides /nix/store/c6j5affvi4yf2xvlhs60y0=
cfbs8d3d5k-emacs-28.1/share/emacs/28.1/lisp/emacs-lisp/nadvice

Features:
(vc-hg vc-svn vc company-ispell company-dabbrev evil-collection-help
shadow adaptive-wrap emacsbug macrostep-c cmacexp
evil-collection-macrostep macrostep cc-mode-expansions smartparens-c
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs evil-collection-view view solar cal-dst holidays
hol-loaddefs org-duration cal-iso evil-org-agenda org-mu4e mu4e-alert
time alert log4e notifications gntp org-msg htmlize gnus-msg
gnus-icalendar icalendar diary-lib diary-loaddefs gnus-dired gnus-cite
evil-collection-mu4e mu4e mu4e-org mu4e-main mu4e-view gnus-art mm-uu
mml2015 mm-view mml-smime smime dig gnus-sum gnus-group gnus-undo
gnus-start gnus-dbus dbus gnus-cloud nnimap nnmail mail-source utf7
netrc nnoo gnus-spec gnus-int gnus-range gnus-win evil-collection-gnus
gnus nnheader mu4e-headers mu4e-compose mu4e-draft mu4e-actions smtpmail
sendmail mu4e-search mu4e-lists mu4e-bookmarks mu4e-mark mu4e-message
shr kinsoku svg xml dom flow-fill mu4e-contacts mu4e-update mu4e-folders
mu4e-server mu4e-context mu4e-vars mu4e-helpers evil-traces evil-ex
org-crypt org-eldoc toc-org evil-org spell-fu ispell nix-mode ffap smie
nix-repl nix-shell nix-store nix-instantiate nix-shebang nix-format nix
evil-collection-evil-mc evil-mc evil-mc-command-execute
evil-mc-command-record evil-mc-cursor-make evil-mc-region
evil-mc-cursor-state evil-mc-undo evil-mc-vars evil-mc-known-commands
evil-mc-common elisp-demos evil-collection-indent
evil-collection-helpful helpful trace evil-collection-edebug edebug
backtrace info-look evil-collection-info info help-fns radix-tree
evil-collection-elisp-refs elisp-refs tabify company-yasnippet evil-anzu
anzu git-gutter-fringe fringe-helper git-gutter evil-collection-vc-git
vc-git vc-dispatcher jka-compr auto-minor-mode whitespace
flycheck-popup-tip evil-collection-popup popup flycheck-cask
evil-embrace evil-surround embrace expand-region text-mode-expansions
the-org-mode-expansions er-basic-expansions expand-region-core
expand-region-custom eros highlight-quoted rainbow-delimiters
vi-tilde-fringe highlight-numbers parent-mode display-line-numbers
saveplace evil-collection-so-long so-long envrc inheritenv
consult-flycheck evil-collection-consult consult-vertico consult
compat-28 magit-bookmark evil-collection-bookmark bookmark
eshell-syntax-highlighting fish-completion smartparens-config
smartparens-rst smartparens-markdown smartparens-text smartparens
em-term em-script em-ls em-hist em-pred em-glob em-cmpl em-basic
em-banner em-alias em-tramp esh-help evil-collection-man man em-unix
eshell-z em-dirs esh-var evil-collection-eshell em-prompt
eshell-did-you-mean esh-mode eshell esh-cmd esh-ext esh-opt esh-proc
esh-io esh-arg esh-module esh-groups esh-util vertico-directory
mule-util cursor-sensor vertico-repeat evil-collection-magit-todos
magit-todos pcre2el rxt re-builder hl-todo async org-roam-protocol
org-protocol org-habit oc-natbib oc-csl org-roam-ui org-roam-dailies
simple-httpd websocket bindat citar citar-file citar-cache citar-format
org-ref org-ref-core org-ref-glossary org-ref-bibtex avy doi-utils
org-ref-utils org-ref-export citeproc citeproc-itemgetters
citeproc-biblatex parse-time citeproc-bibtex ol-bibtex ox-pandoc ox-org
ox-odt rng-loc rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn
nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex ox-icalendar
org-agenda ox-ascii ox-md ox-html table ox-publish ox org-ref-misc-links
org-ref-label-link org-ref-ref-links org-ref-citation-links
evil-collection-xref xref project org-ref-bibliography-links hydra lv
org-roam-bibtex orb-core orb-compat orb-utils bibtex-completion biblio
biblio-download biblio-dissemin biblio-ieee biblio-hal biblio-dblp
biblio-crossref biblio-arxiv timezone biblio-doi biblio-core url-queue
ido parsebib org-indent evil-collection-org evil-collection-org-roam
org-roam-migrate org-roam-log org-roam-mode org-roam-capture org-roam-id
org-roam-node org-roam-db org-roam-utils org-roam-compat org-roam
org-capture org-attach emacsql-sqlite url-http url-auth url-gw nsm
emacsql emacsql-compiler smartparens-org org-yt org-element org-persist
xdg org-id org-refile avl-tree generator org ob ob-tangle ob-ref ob-lob
ob-table ob-exp org-macro org-footnote org-src ob-comint org-pcomplete
org-list org-faces org-entities noutline outline org-version
ob-emacs-lisp ob-core ob-eval org-cycle org-table ol org-fold
org-fold-core org-keys citeproc-cite citeproc-subbibs citeproc-sort
citeproc-name citeproc-formatters citeproc-number rst citeproc-proc
citeproc-disamb citeproc-itemdata citeproc-generic-elements
citeproc-macro citeproc-choose citeproc-date citeproc-context
citeproc-prange citeproc-style citeproc-locale citeproc-term citeproc-rt
citeproc-lib citeproc-s queue bibtex iso8601 oc-biblatex oc org-compat
org-macs org-loaddefs evil-collection-calendar cal-menu calendar
cal-loaddefs magit-autoloads evil-collection-magit magit-submodule
magit-obsolete magit-popup magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log which-func magit-diff
smerge-mode evil-collection-diff-mode diff-mode magit-core
magit-autorevert magit-margin magit-transient magit-process magit-mode
git-commit magit-git magit-base evil-collection-magit-section
magit-section crm compat-27 compat-26 transient format-spec
evil-collection-log-edit log-edit message rmc puny ranger
evil-collection-dired dired dired-loaddefs rfc822 mml mml-sec gnus-util
rmail rmail-loaddefs mm-decode mm-bodies mm-encode mailabbrev mail-utils
gmm-utils mailheader pcvs-util add-log with-editor compat doom-snippets
doom-snippets-lib yasnippet evil-collection-elisp-mode elisp-mode
recentf tree-widget time-date gcmh hl-line winner ws-butler emojify
evil-collection-apropos apropos evil-collection-tar-mode tar-mode
evil-collection-arc-mode arc-mode archive-mode ht undo-tree diff
flycheck-package package-lint evil-collection-imenu imenu
evil-collection-finder finder evil-collection-flycheck flycheck
find-func projectile lisp-mnt mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr evil-collection-grep grep ibuffer-vc ibuf-ext
evil-collection-ibuffer ibuffer ibuffer-loaddefs delsel hide-mode-line
multi-term evil-collection-term term ehelp evil-collection-which-key
which-key savehist better-jumper company-capf php-extras company
evil-collection-vertico vertico orderless all-the-icons-completion
marginalia evil-goggles evil-easymotion evil-escape evil-snipe server
autorevert filenotify nav-flash evil-collection-compile compile pulse
color persistent-soft list-utils pcache eieio-base font-utils
unicode-fonts persp-mode dtrt-indent doom-modeline
doom-modeline-segments doom-modeline-env doom-modeline-core shrink-path
f f-shortdoc shortdoc text-property-search s all-the-icons
all-the-icons-faces data-material data-weathericons data-octicons
data-fileicons data-faicons data-alltheicons dash
doom-themes-ext-treemacs doom-themes-ext-org solaire-mode face-remap
doom-one-theme doom-themes doom-themes-base doom-start epa-file
evil-collection-epa epa epg rfc6068 epg-config finder-inf
evil-collection-package-menu evil-collection-custom cus-edit cus-load
wid-edit evil-collection-comint evil-collection annalist doom-packages
package browse-url url url-proxy url-privacy url-expand url-methods
url-history url-cookie url-domsuf url-util mailcap url-handlers
mu4e-config html2text let-alist auth-source-pass url-parse url-vars
auth-source eieio password-cache json map ibuf-macs evil
evil-integration evil-maps evil-commands reveal flyspell evil-jumps
evil-command-window evil-search shell pcomplete comint ansi-color
evil-types evil-macros evil-repeat evil-states evil-core comp comp-cstr
warnings rx advice evil-common windmove calc calc-loaddefs calc-macs
thingatpt rect evil-digraphs evil-vars ring derived use-package-bind-key
bind-key edmacro kmacro doom-editor doom-projects doom-ui easy-mmode
doom-keybinds pp general cl-extra help-mode seq byte-opt cl-seq
use-package-core bytecomp byte-compile cconv eieio-core eieio-loaddefs
cl doom-modules doom doom-lib pcase cl-macs gv jansson dynamic-modules
subr-x cl-loaddefs cl-lib disp-table iso-transl tooltip eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 1915125 219341)
 (symbols 48 90414 15)
 (strings 32 508207 43438)
 (string-bytes 1 13601560)
 (vectors 16 185106)
 (vector-slots 8 6241377 160081)
 (floats 8 2117 3319)
 (intervals 56 21071 1018)
 (buffers 992 130))

--
--
Jonathan Reeve
https://jonreeve.com





Acknowledgement sent to Jonathan Reeve <jonathan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#57531; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 5 Sep 2022 13:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.